package b4a.callblocker;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.callblocker", "b4a.callblocker.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, true))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.callblocker", "b4a.callblocker.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.callblocker.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.phone.Phone.PhoneWakeState _pws = null;
public static int _pos = 0;
public static boolean _nuovo = false;
public static anywheresoftware.b4a.objects.collections.List _calls = null;
public static anywheresoftware.b4a.phone.CallLogWrapper _calllog = null;
public static anywheresoftware.b4a.phone.CallLogWrapper.CallItem _c = null;
public static int _validtellows = 0;
public static boolean _working = false;
public static anywheresoftware.b4a.samples.httputils2.httpjob _job = null;
public static String _buffersav = "";
public anywheresoftware.b4a.objects.EditTextWrapper _edittext1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button2 = null;
public anywheresoftware.b4a.objects.ListViewWrapper _listview1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button3 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button4 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button5 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button6 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label3 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label4 = null;
public anywheresoftware.b4a.samples.httputils2.httputils2service _httputils2service = null;
public b4a.callblocker.callblocker _callblocker = null;
public b4a.callblocker.frmcallslog _frmcallslog = null;
public b4a.callblocker.funzioni _funzioni = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
vis = vis | (frmcallslog.mostCurrent != null);
return vis;}
public static String  _activity_actionbarhomeclick() throws Exception{
 //BA.debugLineNum = 781;BA.debugLine="Sub Activity_ActionBarHomeClick";
 //BA.debugLineNum = 782;BA.debugLine="pws.ReleasePartialLock";
_pws.ReleasePartialLock();
 //BA.debugLineNum = 783;BA.debugLine="End Sub";
return "";
}
public static void  _activity_create(boolean _firsttime) throws Exception{
ResumableSub_Activity_Create rsub = new ResumableSub_Activity_Create(null,_firsttime);
rsub.resume(processBA, null);
}
public static class ResumableSub_Activity_Create extends BA.ResumableSub {
public ResumableSub_Activity_Create(b4a.callblocker.main parent,boolean _firsttime) {
this.parent = parent;
this._firsttime = _firsttime;
}
b4a.callblocker.main parent;
boolean _firsttime;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
                return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 60;BA.debugLine="job.Initialize(\"getAddress\",Me)";
parent._job._initialize(processBA,"getAddress",main.getObject());
 //BA.debugLineNum = 61;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 62;BA.debugLine="Activity.LoadLayout(\"frmmain\")";
parent.mostCurrent._activity.LoadLayout("frmmain",mostCurrent.activityBA);
 //BA.debugLineNum = 63;BA.debugLine="ListView1.Initialize(\"ListView1\")";
parent.mostCurrent._listview1.Initialize(mostCurrent.activityBA,"ListView1");
 //BA.debugLineNum = 64;BA.debugLine="Activity.AddView(ListView1, 10, 210, 100%x, 70%y)";
parent.mostCurrent._activity.AddView((android.view.View)(parent.mostCurrent._listview1.getObject()),(int) (10),(int) (210),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (70),mostCurrent.activityBA));
 //BA.debugLineNum = 65;BA.debugLine="Activity.AddMenuItem3(\"Check LogCall\", \"CheckLogC";
parent.mostCurrent._activity.AddMenuItem3(BA.ObjectToCharSequence("Check LogCall"),"CheckLogCall",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 66;BA.debugLine="Activity.AddMenuItem3(\"Check PhoneNumber\", \"Check";
parent.mostCurrent._activity.AddMenuItem3(BA.ObjectToCharSequence("Check PhoneNumber"),"CheckPhoneNumber",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 67;BA.debugLine="Activity.AddMenuItem3(\"Restart Service\", \"Restart";
parent.mostCurrent._activity.AddMenuItem3(BA.ObjectToCharSequence("Restart Service"),"RestartService",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 68;BA.debugLine="Activity.AddMenuItem3(\"Get MyRubrica\", \"GetMyRubr";
parent.mostCurrent._activity.AddMenuItem3(BA.ObjectToCharSequence("Get MyRubrica"),"GetMyRubrica",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 70;BA.debugLine="Activity.Title = \"Call Blocker\"";
parent.mostCurrent._activity.setTitle(BA.ObjectToCharSequence("Call Blocker"));
 //BA.debugLineNum = 72;BA.debugLine="ListView1.Invalidate";
parent.mostCurrent._listview1.Invalidate();
 //BA.debugLineNum = 73;BA.debugLine="ListView1.FastScrollEnabled = True";
parent.mostCurrent._listview1.setFastScrollEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 74;BA.debugLine="ListView1.SingleLineLayout.ItemHeight = 30dip";
parent.mostCurrent._listview1.getSingleLineLayout().setItemHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30)));
 //BA.debugLineNum = 75;BA.debugLine="ListView1.SingleLineLayout.Label.TextSize = 13";
parent.mostCurrent._listview1.getSingleLineLayout().Label.setTextSize((float) (13));
 //BA.debugLineNum = 76;BA.debugLine="ListView1.SingleLineLayout.Label.TextColor = Colo";
parent.mostCurrent._listview1.getSingleLineLayout().Label.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Green);
 //BA.debugLineNum = 77;BA.debugLine="ListView1.Invalidate";
parent.mostCurrent._listview1.Invalidate();
 //BA.debugLineNum = 78;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 79;BA.debugLine="pws.PartialLock";
parent._pws.PartialLock(processBA);
 //BA.debugLineNum = 80;BA.debugLine="pos = -1";
parent._pos = (int) (-1);
 //BA.debugLineNum = 81;BA.debugLine="Label1.Text = \"\"";
parent.mostCurrent._label1.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 82;BA.debugLine="Label2.Text = \"\"";
parent.mostCurrent._label2.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 83;BA.debugLine="EditText1.Text = \"\"";
parent.mostCurrent._edittext1.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 85;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 87;BA.debugLine="If FirstTime Then";
if (true) break;

case 1:
//if
this.state = 13;
if (_firsttime) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 //BA.debugLineNum = 88;BA.debugLine="Do While callblocker.check = False";
if (true) break;

case 4:
//do while
this.state = 7;
while (parent.mostCurrent._callblocker._check==anywheresoftware.b4a.keywords.Common.False) {
this.state = 6;
if (true) break;
}
if (true) break;

case 6:
//C
this.state = 4;
 //BA.debugLineNum = 89;BA.debugLine="Sleep(200)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (200));
this.state = 19;
return;
case 19:
//C
this.state = 4;
;
 if (true) break;
;
 //BA.debugLineNum = 91;BA.debugLine="If callblocker.Connesso = True Then";

case 7:
//if
this.state = 12;
if (parent.mostCurrent._callblocker._connesso==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 9;
}else {
this.state = 11;
}if (true) break;

case 9:
//C
this.state = 12;
 //BA.debugLineNum = 92;BA.debugLine="Label3.Text = \"Internet presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet presente"));
 if (true) break;

case 11:
//C
this.state = 12;
 //BA.debugLineNum = 94;BA.debugLine="Label3.Text = \"Internet non presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet non presente"));
 if (true) break;

case 12:
//C
this.state = 13;
;
 if (true) break;
;
 //BA.debugLineNum = 103;BA.debugLine="Select Case  callblocker.MyRubrica.IsInitialized";

case 13:
//select
this.state = 18;
switch (BA.switchObjectToInt(parent.mostCurrent._callblocker._myrubrica.IsInitialized(),anywheresoftware.b4a.keywords.Common.True,anywheresoftware.b4a.keywords.Common.False)) {
case 0: {
this.state = 15;
if (true) break;
}
case 1: {
this.state = 17;
if (true) break;
}
}
if (true) break;

case 15:
//C
this.state = 18;
 //BA.debugLineNum = 105;BA.debugLine="Label4.Text = \"MyRubrica in memoria (\" & callbl";
parent.mostCurrent._label4.setText(BA.ObjectToCharSequence("MyRubrica in memoria ("+BA.NumberToString(parent.mostCurrent._callblocker._myrubrica.getSize())+")"));
 if (true) break;

case 17:
//C
this.state = 18;
 //BA.debugLineNum = 108;BA.debugLine="Label4.Text = \"MyRubrica non in memoria\"";
parent.mostCurrent._label4.setText(BA.ObjectToCharSequence("MyRubrica non in memoria"));
 if (true) break;

case 18:
//C
this.state = -1;
;
 //BA.debugLineNum = 112;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 1167;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 1168;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 //BA.debugLineNum = 1169;BA.debugLine="pws.ReleasePartialLock";
_pws.ReleasePartialLock();
 //BA.debugLineNum = 1170;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 1171;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 1173;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 1174;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 795;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 797;BA.debugLine="End Sub";
return "";
}
public static void  _activity_resume() throws Exception{
ResumableSub_Activity_Resume rsub = new ResumableSub_Activity_Resume(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_Activity_Resume extends BA.ResumableSub {
public ResumableSub_Activity_Resume(b4a.callblocker.main parent) {
this.parent = parent;
}
b4a.callblocker.main parent;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
                return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 702;BA.debugLine="If (Nuovo = True) And (Working = False)  Then";
if (true) break;

case 1:
//if
this.state = 4;
if ((parent._nuovo==anywheresoftware.b4a.keywords.Common.True) && (parent._working==anywheresoftware.b4a.keywords.Common.False)) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 //BA.debugLineNum = 703;BA.debugLine="Working = True";
parent._working = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 704;BA.debugLine="Button1.Enabled = False";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 705;BA.debugLine="Button2.Enabled = False";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 706;BA.debugLine="Button3.Enabled = False";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 707;BA.debugLine="Button4.Enabled = False";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 708;BA.debugLine="Button5.Enabled = False";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 709;BA.debugLine="Nuovo = False";
parent._nuovo = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 710;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 711;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 15;
return;
case 15:
//C
this.state = 4;
;
 //BA.debugLineNum = 712;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 713;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 714;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 715;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 716;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 717;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 718;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 719;BA.debugLine="EditText1.Text = \"\"";
parent.mostCurrent._edittext1.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 720;BA.debugLine="Nuovo = False";
parent._nuovo = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 721;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 722;BA.debugLine="Return";
if (true) return ;
 if (true) break;
;
 //BA.debugLineNum = 725;BA.debugLine="If callblocker.Connesso = True Then";

case 4:
//if
this.state = 9;
if (parent.mostCurrent._callblocker._connesso==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 6;
}else {
this.state = 8;
}if (true) break;

case 6:
//C
this.state = 9;
 //BA.debugLineNum = 726;BA.debugLine="Label3.Text = \"Internet presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet presente"));
 if (true) break;

case 8:
//C
this.state = 9;
 //BA.debugLineNum = 728;BA.debugLine="Label3.Text = \"Internet non presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet non presente"));
 if (true) break;
;
 //BA.debugLineNum = 731;BA.debugLine="Select Case  callblocker.MyRubrica.IsInitialized";

case 9:
//select
this.state = 14;
switch (BA.switchObjectToInt(parent.mostCurrent._callblocker._myrubrica.IsInitialized(),anywheresoftware.b4a.keywords.Common.True,anywheresoftware.b4a.keywords.Common.False)) {
case 0: {
this.state = 11;
if (true) break;
}
case 1: {
this.state = 13;
if (true) break;
}
}
if (true) break;

case 11:
//C
this.state = 14;
 //BA.debugLineNum = 733;BA.debugLine="Label4.Text = \"MyRubrica in memoria (\" & callbl";
parent.mostCurrent._label4.setText(BA.ObjectToCharSequence("MyRubrica in memoria ("+BA.NumberToString(parent.mostCurrent._callblocker._myrubrica.getSize())+")"));
 if (true) break;

case 13:
//C
this.state = 14;
 //BA.debugLineNum = 736;BA.debugLine="Label4.Text = \"MyRubrica non in memoria\"";
parent.mostCurrent._label4.setText(BA.ObjectToCharSequence("MyRubrica non in memoria"));
 if (true) break;

case 14:
//C
this.state = -1;
;
 //BA.debugLineNum = 740;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static void  _aggiunginumerobannato(String _num) throws Exception{
ResumableSub_AggiungiNumeroBannato rsub = new ResumableSub_AggiungiNumeroBannato(null,_num);
rsub.resume(processBA, null);
}
public static class ResumableSub_AggiungiNumeroBannato extends BA.ResumableSub {
public ResumableSub_AggiungiNumeroBannato(b4a.callblocker.main parent,String _num) {
this.parent = parent;
this._num = _num;
}
b4a.callblocker.main parent;
String _num;
anywheresoftware.b4a.objects.streams.File.TextWriterWrapper _tw = null;
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr = null;
anywheresoftware.b4a.objects.collections.List _mylist = null;
anywheresoftware.b4a.objects.collections.List _mylistnew = null;
anywheresoftware.b4a.objects.collections.List _listanew = null;
String _number = "";
anywheresoftware.b4a.objects.collections.List _lista = null;
int _i = 0;
int step15;
int limit15;
int step46;
int limit46;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
                return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 440;BA.debugLine="Dim tw As TextWriter";
_tw = new anywheresoftware.b4a.objects.streams.File.TextWriterWrapper();
 //BA.debugLineNum = 441;BA.debugLine="Dim Tr As TextReader";
_tr = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 442;BA.debugLine="Dim mylist As List";
_mylist = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 443;BA.debugLine="Dim mylistnew As List";
_mylistnew = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 444;BA.debugLine="Dim listanew As List";
_listanew = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 445;BA.debugLine="Dim number As String";
_number = "";
 //BA.debugLineNum = 446;BA.debugLine="Dim lista As List";
_lista = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 451;BA.debugLine="If File.Exists(File.DirRootExternal , \"banned.txt";
if (true) break;

case 1:
//if
this.state = 18;
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt")==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 //BA.debugLineNum = 452;BA.debugLine="listanew.Initialize";
_listanew.Initialize();
 //BA.debugLineNum = 453;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 454;BA.debugLine="If Not (callblocker.mylist.IsInitialized) Then";
if (true) break;

case 4:
//if
this.state = 7;
if (anywheresoftware.b4a.keywords.Common.Not(parent.mostCurrent._callblocker._mylist.IsInitialized())) { 
this.state = 6;
}if (true) break;

case 6:
//C
this.state = 7;
 //BA.debugLineNum = 455;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 456;BA.debugLine="Return";
if (true) return ;
 if (true) break;
;
 //BA.debugLineNum = 458;BA.debugLine="For i = 0 To callblocker.mylist.Size - 1";

case 7:
//for
this.state = 14;
step15 = 1;
limit15 = (int) (parent.mostCurrent._callblocker._mylist.getSize()-1);
_i = (int) (0) ;
this.state = 40;
if (true) break;

case 40:
//C
this.state = 14;
if ((step15 > 0 && _i <= limit15) || (step15 < 0 && _i >= limit15)) this.state = 9;
if (true) break;

case 41:
//C
this.state = 40;
_i = ((int)(0 + _i + step15)) ;
if (true) break;

case 9:
//C
this.state = 10;
 //BA.debugLineNum = 459;BA.debugLine="number = callblocker.mylist.Get(i)";
_number = BA.ObjectToString(parent.mostCurrent._callblocker._mylist.Get(_i));
 //BA.debugLineNum = 460;BA.debugLine="If IsNumber(number) = True Then";
if (true) break;

case 10:
//if
this.state = 13;
if (anywheresoftware.b4a.keywords.Common.IsNumber(_number)==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 12;
}if (true) break;

case 12:
//C
this.state = 13;
 //BA.debugLineNum = 462;BA.debugLine="listanew.Add(number)";
_listanew.Add((Object)(_number));
 if (true) break;

case 13:
//C
this.state = 41;
;
 if (true) break;
if (true) break;
;
 //BA.debugLineNum = 466;BA.debugLine="If (listanew.IndexOf(num) = -1) Then";

case 14:
//if
this.state = 17;
if ((_listanew.IndexOf((Object)(_num))==-1)) { 
this.state = 16;
}if (true) break;

case 16:
//C
this.state = 17;
 //BA.debugLineNum = 467;BA.debugLine="listanew.Add(num)";
_listanew.Add((Object)(_num));
 if (true) break;

case 17:
//C
this.state = 18;
;
 //BA.debugLineNum = 470;BA.debugLine="tw.Initialize(File.OpenOutput(File.DirRootExtern";
_tw.Initialize((java.io.OutputStream)(anywheresoftware.b4a.keywords.Common.File.OpenOutput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt",anywheresoftware.b4a.keywords.Common.False).getObject()));
 //BA.debugLineNum = 471;BA.debugLine="tw.WriteList(listanew)";
_tw.WriteList(_listanew);
 //BA.debugLineNum = 472;BA.debugLine="tw.Close";
_tw.Close();
 //BA.debugLineNum = 473;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 474;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 475;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 42;
return;
case 42:
//C
this.state = 18;
;
 //BA.debugLineNum = 476;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 477;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 478;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 479;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 480;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 481;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 482;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 483;BA.debugLine="EditText1.Text = \"\"";
parent.mostCurrent._edittext1.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 484;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 485;BA.debugLine="Return";
if (true) return ;
 if (true) break;

case 18:
//C
this.state = 19;
;
 //BA.debugLineNum = 488;BA.debugLine="Tr.Initialize(File.OpenInput(File.DirRootExternal";
_tr.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt").getObject()));
 //BA.debugLineNum = 489;BA.debugLine="lista = Tr.ReadList";
_lista = _tr.ReadList();
 //BA.debugLineNum = 490;BA.debugLine="If Not (listanew.IsInitialized) Then listanew.Ini";
if (true) break;

case 19:
//if
this.state = 24;
if (anywheresoftware.b4a.keywords.Common.Not(_listanew.IsInitialized())) { 
this.state = 21;
;}if (true) break;

case 21:
//C
this.state = 24;
_listanew.Initialize();
if (true) break;

case 24:
//C
this.state = 25;
;
 //BA.debugLineNum = 491;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 492;BA.debugLine="If lista.IsInitialized = True Then";
if (true) break;

case 25:
//if
this.state = 36;
if (_lista.IsInitialized()==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 27;
}if (true) break;

case 27:
//C
this.state = 28;
 //BA.debugLineNum = 493;BA.debugLine="For i = 0 To lista.Size - 1";
if (true) break;

case 28:
//for
this.state = 35;
step46 = 1;
limit46 = (int) (_lista.getSize()-1);
_i = (int) (0) ;
this.state = 43;
if (true) break;

case 43:
//C
this.state = 35;
if ((step46 > 0 && _i <= limit46) || (step46 < 0 && _i >= limit46)) this.state = 30;
if (true) break;

case 44:
//C
this.state = 43;
_i = ((int)(0 + _i + step46)) ;
if (true) break;

case 30:
//C
this.state = 31;
 //BA.debugLineNum = 494;BA.debugLine="number = lista.Get(i)";
_number = BA.ObjectToString(_lista.Get(_i));
 //BA.debugLineNum = 495;BA.debugLine="If IsNumber(number) = True Then";
if (true) break;

case 31:
//if
this.state = 34;
if (anywheresoftware.b4a.keywords.Common.IsNumber(_number)==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 33;
}if (true) break;

case 33:
//C
this.state = 34;
 //BA.debugLineNum = 496;BA.debugLine="listanew.Add(number)";
_listanew.Add((Object)(_number));
 if (true) break;

case 34:
//C
this.state = 44;
;
 if (true) break;
if (true) break;

case 35:
//C
this.state = 36;
;
 if (true) break;
;
 //BA.debugLineNum = 501;BA.debugLine="If (listanew.IndexOf(num) = -1) Then";

case 36:
//if
this.state = 39;
if ((_listanew.IndexOf((Object)(_num))==-1)) { 
this.state = 38;
}if (true) break;

case 38:
//C
this.state = 39;
 //BA.debugLineNum = 502;BA.debugLine="listanew.Add(num)";
_listanew.Add((Object)(_num));
 if (true) break;

case 39:
//C
this.state = -1;
;
 //BA.debugLineNum = 504;BA.debugLine="Tr.Close";
_tr.Close();
 //BA.debugLineNum = 505;BA.debugLine="tw.Initialize(File.OpenOutput(File.DirRootExterna";
_tw.Initialize((java.io.OutputStream)(anywheresoftware.b4a.keywords.Common.File.OpenOutput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt",anywheresoftware.b4a.keywords.Common.False).getObject()));
 //BA.debugLineNum = 506;BA.debugLine="tw.WriteList(listanew)";
_tw.WriteList(_listanew);
 //BA.debugLineNum = 507;BA.debugLine="tw.Close";
_tw.Close();
 //BA.debugLineNum = 508;BA.debugLine="lista.Clear";
_lista.Clear();
 //BA.debugLineNum = 509;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 510;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 511;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 45;
return;
case 45:
//C
this.state = -1;
;
 //BA.debugLineNum = 512;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 513;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 514;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 515;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 516;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 517;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 518;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 519;BA.debugLine="EditText1.Text = \"\"";
parent.mostCurrent._edittext1.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 520;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 522;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static void  _button1_click() throws Exception{
ResumableSub_Button1_Click rsub = new ResumableSub_Button1_Click(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_Button1_Click extends BA.ResumableSub {
public ResumableSub_Button1_Click(b4a.callblocker.main parent) {
this.parent = parent;
}
b4a.callblocker.main parent;
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr = null;
anywheresoftware.b4a.objects.streams.File.TextWriterWrapper _tw = null;
anywheresoftware.b4a.objects.collections.List _lista = null;
anywheresoftware.b4a.objects.collections.List _listanew = null;
int _i = 0;
String _number = "";
int _retval = 0;
int step58;
int limit58;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
                return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 800;BA.debugLine="Dim tr As TextReader";
_tr = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 801;BA.debugLine="Dim tw As TextWriter";
_tw = new anywheresoftware.b4a.objects.streams.File.TextWriterWrapper();
 //BA.debugLineNum = 802;BA.debugLine="Dim lista As List";
_lista = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 803;BA.debugLine="Dim listanew As List";
_listanew = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 804;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 805;BA.debugLine="Dim number As String";
_number = "";
 //BA.debugLineNum = 806;BA.debugLine="Dim retval As Int";
_retval = 0;
 //BA.debugLineNum = 808;BA.debugLine="If EditText1.Text = Null Then Return";
if (true) break;

case 1:
//if
this.state = 6;
if (parent.mostCurrent._edittext1.getText()== null) { 
this.state = 3;
;}if (true) break;

case 3:
//C
this.state = 6;
if (true) return ;
if (true) break;

case 6:
//C
this.state = 7;
;
 //BA.debugLineNum = 809;BA.debugLine="If EditText1.Text = \"\" Then Return";
if (true) break;

case 7:
//if
this.state = 12;
if ((parent.mostCurrent._edittext1.getText()).equals("")) { 
this.state = 9;
;}if (true) break;

case 9:
//C
this.state = 12;
if (true) return ;
if (true) break;

case 12:
//C
this.state = 13;
;
 //BA.debugLineNum = 810;BA.debugLine="If EditText1.Text.Length = 0 Then Return";
if (true) break;

case 13:
//if
this.state = 18;
if (parent.mostCurrent._edittext1.getText().length()==0) { 
this.state = 15;
;}if (true) break;

case 15:
//C
this.state = 18;
if (true) return ;
if (true) break;

case 18:
//C
this.state = 19;
;
 //BA.debugLineNum = 812;BA.debugLine="EditText1.Text = Replace(EditText1.Text, \" \", \"\")";
parent.mostCurrent._edittext1.setText(BA.ObjectToCharSequence(_replace(parent.mostCurrent._edittext1.getText()," ","")));
 //BA.debugLineNum = 813;BA.debugLine="If EditText1.Text.Length < 4 Then Return";
if (true) break;

case 19:
//if
this.state = 24;
if (parent.mostCurrent._edittext1.getText().length()<4) { 
this.state = 21;
;}if (true) break;

case 21:
//C
this.state = 24;
if (true) return ;
if (true) break;

case 24:
//C
this.state = 25;
;
 //BA.debugLineNum = 814;BA.debugLine="If Len(EditText1.Text) < 4 Then Return";
if (true) break;

case 25:
//if
this.state = 30;
if (_len(parent.mostCurrent._edittext1.getText())<4) { 
this.state = 27;
;}if (true) break;

case 27:
//C
this.state = 30;
if (true) return ;
if (true) break;

case 30:
//C
this.state = 31;
;
 //BA.debugLineNum = 815;BA.debugLine="If EditText1.Text = Null Then Return";
if (true) break;

case 31:
//if
this.state = 36;
if (parent.mostCurrent._edittext1.getText()== null) { 
this.state = 33;
;}if (true) break;

case 33:
//C
this.state = 36;
if (true) return ;
if (true) break;

case 36:
//C
this.state = 37;
;
 //BA.debugLineNum = 816;BA.debugLine="If EditText1.Text = \"\" Then Return";
if (true) break;

case 37:
//if
this.state = 42;
if ((parent.mostCurrent._edittext1.getText()).equals("")) { 
this.state = 39;
;}if (true) break;

case 39:
//C
this.state = 42;
if (true) return ;
if (true) break;

case 42:
//C
this.state = 43;
;
 //BA.debugLineNum = 817;BA.debugLine="If IsNumber(EditText1.Text) = False  Then Return";
if (true) break;

case 43:
//if
this.state = 48;
if (anywheresoftware.b4a.keywords.Common.IsNumber(parent.mostCurrent._edittext1.getText())==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 45;
;}if (true) break;

case 45:
//C
this.state = 48;
if (true) return ;
if (true) break;

case 48:
//C
this.state = 49;
;
 //BA.debugLineNum = 820;BA.debugLine="retval = Esiste(EditText1.Text)";
_retval = _esiste(parent.mostCurrent._edittext1.getText());
 //BA.debugLineNum = 821;BA.debugLine="If retval = 1 Then Return";
if (true) break;

case 49:
//if
this.state = 54;
if (_retval==1) { 
this.state = 51;
;}if (true) break;

case 51:
//C
this.state = 54;
if (true) return ;
if (true) break;

case 54:
//C
this.state = 55;
;
 //BA.debugLineNum = 822;BA.debugLine="If retval = -1 Then Return";
if (true) break;

case 55:
//if
this.state = 60;
if (_retval==-1) { 
this.state = 57;
;}if (true) break;

case 57:
//C
this.state = 60;
if (true) return ;
if (true) break;

case 60:
//C
this.state = 61;
;
 //BA.debugLineNum = 824;BA.debugLine="If retval = -2 Then";
if (true) break;

case 61:
//if
this.state = 64;
if (_retval==-2) { 
this.state = 63;
}if (true) break;

case 63:
//C
this.state = 64;
 //BA.debugLineNum = 825;BA.debugLine="Working = True";
parent._working = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 826;BA.debugLine="Button1.Enabled = False";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 827;BA.debugLine="Button2.Enabled = False";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 828;BA.debugLine="Button3.Enabled = False";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 829;BA.debugLine="Button4.Enabled = False";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 830;BA.debugLine="Button5.Enabled = False";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 831;BA.debugLine="listanew.Initialize";
_listanew.Initialize();
 //BA.debugLineNum = 832;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 833;BA.debugLine="listanew.Add(EditText1.text)";
_listanew.Add((Object)(parent.mostCurrent._edittext1.getText()));
 //BA.debugLineNum = 834;BA.debugLine="tw.Initialize(File.OpenOutput(File.DirRootExtern";
_tw.Initialize((java.io.OutputStream)(anywheresoftware.b4a.keywords.Common.File.OpenOutput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt",anywheresoftware.b4a.keywords.Common.False).getObject()));
 //BA.debugLineNum = 835;BA.debugLine="tw.WriteList(listanew)";
_tw.WriteList(_listanew);
 //BA.debugLineNum = 836;BA.debugLine="tw.Close";
_tw.Close();
 //BA.debugLineNum = 837;BA.debugLine="lista.Clear";
_lista.Clear();
 //BA.debugLineNum = 838;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 839;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 77;
return;
case 77:
//C
this.state = 64;
;
 //BA.debugLineNum = 840;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 841;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 842;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 843;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 844;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 845;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 846;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 847;BA.debugLine="EditText1.Text = \"\"";
parent.mostCurrent._edittext1.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 848;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 849;BA.debugLine="Return";
if (true) return ;
 if (true) break;

case 64:
//C
this.state = 65;
;
 //BA.debugLineNum = 852;BA.debugLine="Working = True";
parent._working = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 853;BA.debugLine="Button1.Enabled = False";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 854;BA.debugLine="Button2.Enabled = False";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 855;BA.debugLine="Button3.Enabled = False";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 856;BA.debugLine="Button4.Enabled = False";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 857;BA.debugLine="Button5.Enabled = False";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 858;BA.debugLine="tr.Initialize(File.OpenInput(File.DirRootExternal";
_tr.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt").getObject()));
 //BA.debugLineNum = 859;BA.debugLine="lista = tr.ReadList";
_lista = _tr.ReadList();
 //BA.debugLineNum = 860;BA.debugLine="listanew.Initialize";
_listanew.Initialize();
 //BA.debugLineNum = 861;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 862;BA.debugLine="If lista.IsInitialized = True Then";
if (true) break;

case 65:
//if
this.state = 76;
if (_lista.IsInitialized()==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 67;
}if (true) break;

case 67:
//C
this.state = 68;
 //BA.debugLineNum = 863;BA.debugLine="For i = 0 To lista.Size - 1";
if (true) break;

case 68:
//for
this.state = 75;
step58 = 1;
limit58 = (int) (_lista.getSize()-1);
_i = (int) (0) ;
this.state = 78;
if (true) break;

case 78:
//C
this.state = 75;
if ((step58 > 0 && _i <= limit58) || (step58 < 0 && _i >= limit58)) this.state = 70;
if (true) break;

case 79:
//C
this.state = 78;
_i = ((int)(0 + _i + step58)) ;
if (true) break;

case 70:
//C
this.state = 71;
 //BA.debugLineNum = 864;BA.debugLine="number = lista.Get(i)";
_number = BA.ObjectToString(_lista.Get(_i));
 //BA.debugLineNum = 865;BA.debugLine="If IsNumber(number) = True Then";
if (true) break;

case 71:
//if
this.state = 74;
if (anywheresoftware.b4a.keywords.Common.IsNumber(_number)==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 73;
}if (true) break;

case 73:
//C
this.state = 74;
 //BA.debugLineNum = 866;BA.debugLine="listanew.Add(number)";
_listanew.Add((Object)(_number));
 if (true) break;

case 74:
//C
this.state = 79;
;
 if (true) break;
if (true) break;

case 75:
//C
this.state = 76;
;
 if (true) break;

case 76:
//C
this.state = -1;
;
 //BA.debugLineNum = 870;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 871;BA.debugLine="listanew.Add(EditText1.Text)";
_listanew.Add((Object)(parent.mostCurrent._edittext1.getText()));
 //BA.debugLineNum = 872;BA.debugLine="tw.Initialize(File.OpenOutput(File.DirRootExterna";
_tw.Initialize((java.io.OutputStream)(anywheresoftware.b4a.keywords.Common.File.OpenOutput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt",anywheresoftware.b4a.keywords.Common.False).getObject()));
 //BA.debugLineNum = 873;BA.debugLine="tw.WriteList(listanew)";
_tw.WriteList(_listanew);
 //BA.debugLineNum = 874;BA.debugLine="tw.Close";
_tw.Close();
 //BA.debugLineNum = 875;BA.debugLine="lista.Clear";
_lista.Clear();
 //BA.debugLineNum = 876;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 877;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 878;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 80;
return;
case 80:
//C
this.state = -1;
;
 //BA.debugLineNum = 879;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 880;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 881;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 882;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 883;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 884;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 885;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 886;BA.debugLine="EditText1.Text = \"\"";
parent.mostCurrent._edittext1.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 887;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 888;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static void  _button2_click() throws Exception{
ResumableSub_Button2_Click rsub = new ResumableSub_Button2_Click(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_Button2_Click extends BA.ResumableSub {
public ResumableSub_Button2_Click(b4a.callblocker.main parent) {
this.parent = parent;
}
b4a.callblocker.main parent;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
                return;

case 0:
//C
this.state = -1;
 //BA.debugLineNum = 890;BA.debugLine="Working = True";
parent._working = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 891;BA.debugLine="Button1.Enabled = False";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 892;BA.debugLine="Button2.Enabled = False";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 893;BA.debugLine="Button3.Enabled = False";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 894;BA.debugLine="Button4.Enabled = False";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 895;BA.debugLine="Button5.Enabled = False";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 896;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 897;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 1;
return;
case 1:
//C
this.state = -1;
;
 //BA.debugLineNum = 898;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 899;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 900;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 901;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 902;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 903;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 904;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 905;BA.debugLine="EditText1.Text = \"\"";
parent.mostCurrent._edittext1.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 906;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 907;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static void  _button3_click() throws Exception{
ResumableSub_Button3_Click rsub = new ResumableSub_Button3_Click(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_Button3_Click extends BA.ResumableSub {
public ResumableSub_Button3_Click(b4a.callblocker.main parent) {
this.parent = parent;
}
b4a.callblocker.main parent;
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr = null;
anywheresoftware.b4a.objects.streams.File.TextWriterWrapper _tw = null;
anywheresoftware.b4a.objects.collections.List _lista = null;
anywheresoftware.b4a.objects.collections.List _listanew = null;
int _i = 0;
String _number = "";
int step25;
int limit25;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
                return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 976;BA.debugLine="Dim tr As TextReader";
_tr = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 977;BA.debugLine="Dim tw As TextWriter";
_tw = new anywheresoftware.b4a.objects.streams.File.TextWriterWrapper();
 //BA.debugLineNum = 978;BA.debugLine="Dim lista As List";
_lista = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 979;BA.debugLine="Dim listanew As List";
_listanew = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 980;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 981;BA.debugLine="Dim number As String";
_number = "";
 //BA.debugLineNum = 983;BA.debugLine="If Label1.Text = \"\" Then Return";
if (true) break;

case 1:
//if
this.state = 6;
if ((parent.mostCurrent._label1.getText()).equals("")) { 
this.state = 3;
;}if (true) break;

case 3:
//C
this.state = 6;
if (true) return ;
if (true) break;

case 6:
//C
this.state = 7;
;
 //BA.debugLineNum = 984;BA.debugLine="If Label1.Text.Length = 0 Then Return";
if (true) break;

case 7:
//if
this.state = 12;
if (parent.mostCurrent._label1.getText().length()==0) { 
this.state = 9;
;}if (true) break;

case 9:
//C
this.state = 12;
if (true) return ;
if (true) break;

case 12:
//C
this.state = 13;
;
 //BA.debugLineNum = 985;BA.debugLine="If pos = -1 Then Return";
if (true) break;

case 13:
//if
this.state = 18;
if (parent._pos==-1) { 
this.state = 15;
;}if (true) break;

case 15:
//C
this.state = 18;
if (true) return ;
if (true) break;

case 18:
//C
this.state = 19;
;
 //BA.debugLineNum = 986;BA.debugLine="If File.Exists(File.DirRootExternal, \"banned.txt\"";
if (true) break;

case 19:
//if
this.state = 24;
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt")==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 21;
;}if (true) break;

case 21:
//C
this.state = 24;
if (true) return ;
if (true) break;

case 24:
//C
this.state = 25;
;
 //BA.debugLineNum = 988;BA.debugLine="tr.Initialize(File.OpenInput(File.DirRootExternal";
_tr.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt").getObject()));
 //BA.debugLineNum = 989;BA.debugLine="lista = tr.ReadList";
_lista = _tr.ReadList();
 //BA.debugLineNum = 990;BA.debugLine="If lista.IsInitialized = False Then";
if (true) break;

case 25:
//if
this.state = 28;
if (_lista.IsInitialized()==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 27;
}if (true) break;

case 27:
//C
this.state = 28;
 //BA.debugLineNum = 991;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 992;BA.debugLine="Return";
if (true) return ;
 if (true) break;

case 28:
//C
this.state = 29;
;
 //BA.debugLineNum = 994;BA.debugLine="Working = True";
parent._working = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 995;BA.debugLine="Button1.Enabled = False";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 996;BA.debugLine="Button2.Enabled = False";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 997;BA.debugLine="Button3.Enabled = False";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 998;BA.debugLine="Button4.Enabled = False";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 999;BA.debugLine="Button5.Enabled = False";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 1000;BA.debugLine="listanew.Initialize";
_listanew.Initialize();
 //BA.debugLineNum = 1001;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 1002;BA.debugLine="For i = 0 To lista.Size - 1";
if (true) break;

case 29:
//for
this.state = 40;
step25 = 1;
limit25 = (int) (_lista.getSize()-1);
_i = (int) (0) ;
this.state = 41;
if (true) break;

case 41:
//C
this.state = 40;
if ((step25 > 0 && _i <= limit25) || (step25 < 0 && _i >= limit25)) this.state = 31;
if (true) break;

case 42:
//C
this.state = 41;
_i = ((int)(0 + _i + step25)) ;
if (true) break;

case 31:
//C
this.state = 32;
 //BA.debugLineNum = 1003;BA.debugLine="number = lista.Get(i)";
_number = BA.ObjectToString(_lista.Get(_i));
 //BA.debugLineNum = 1004;BA.debugLine="If IsNumber(number) = True Then";
if (true) break;

case 32:
//if
this.state = 39;
if (anywheresoftware.b4a.keywords.Common.IsNumber(_number)==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 34;
}if (true) break;

case 34:
//C
this.state = 35;
 //BA.debugLineNum = 1005;BA.debugLine="If (number <> Label1.Text) And (pos <> i) Then";
if (true) break;

case 35:
//if
this.state = 38;
if (((_number).equals(parent.mostCurrent._label1.getText()) == false) && (parent._pos!=_i)) { 
this.state = 37;
}if (true) break;

case 37:
//C
this.state = 38;
 //BA.debugLineNum = 1006;BA.debugLine="listanew.Add(number)";
_listanew.Add((Object)(_number));
 if (true) break;

case 38:
//C
this.state = 39;
;
 if (true) break;

case 39:
//C
this.state = 42;
;
 if (true) break;
if (true) break;

case 40:
//C
this.state = -1;
;
 //BA.debugLineNum = 1011;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 1013;BA.debugLine="tw.Initialize(File.OpenOutput(File.DirRootExterna";
_tw.Initialize((java.io.OutputStream)(anywheresoftware.b4a.keywords.Common.File.OpenOutput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt",anywheresoftware.b4a.keywords.Common.False).getObject()));
 //BA.debugLineNum = 1014;BA.debugLine="tw.WriteList(listanew)";
_tw.WriteList(_listanew);
 //BA.debugLineNum = 1015;BA.debugLine="tw.Close";
_tw.Close();
 //BA.debugLineNum = 1016;BA.debugLine="lista.Clear";
_lista.Clear();
 //BA.debugLineNum = 1017;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 1018;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 1019;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 43;
return;
case 43:
//C
this.state = -1;
;
 //BA.debugLineNum = 1020;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 1021;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 1022;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1023;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1024;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1025;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1026;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1027;BA.debugLine="Working =  False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 1029;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static void  _button4_click() throws Exception{
ResumableSub_Button4_Click rsub = new ResumableSub_Button4_Click(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_Button4_Click extends BA.ResumableSub {
public ResumableSub_Button4_Click(b4a.callblocker.main parent) {
this.parent = parent;
}
b4a.callblocker.main parent;
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr = null;
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr1 = null;
anywheresoftware.b4a.objects.streams.File.TextWriterWrapper _tw = null;
anywheresoftware.b4a.objects.collections.List _lista1 = null;
anywheresoftware.b4a.objects.collections.List _lista2 = null;
int _i = 0;
int _j = 0;
String _riga = "";
String[] _ar = null;
String _elem = "";
int step23;
int limit23;
int step28;
int limit28;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
                return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 1038;BA.debugLine="Dim tr As TextReader";
_tr = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 1039;BA.debugLine="Dim tr1 As TextReader";
_tr1 = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 1040;BA.debugLine="Dim tw As TextWriter";
_tw = new anywheresoftware.b4a.objects.streams.File.TextWriterWrapper();
 //BA.debugLineNum = 1041;BA.debugLine="Dim lista1,lista2 As List";
_lista1 = new anywheresoftware.b4a.objects.collections.List();
_lista2 = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 1042;BA.debugLine="Dim i,j As Int";
_i = 0;
_j = 0;
 //BA.debugLineNum = 1043;BA.debugLine="Dim riga As String";
_riga = "";
 //BA.debugLineNum = 1044;BA.debugLine="Dim  ar() As String";
_ar = new String[(int) (0)];
java.util.Arrays.fill(_ar,"");
 //BA.debugLineNum = 1045;BA.debugLine="Dim elem As String";
_elem = "";
 //BA.debugLineNum = 1047;BA.debugLine="If File.Exists(File.DirRootExternal, \"banned.txt\"";
if (true) break;

case 1:
//if
this.state = 6;
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt")==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 3;
;}if (true) break;

case 3:
//C
this.state = 6;
if (true) return ;
if (true) break;

case 6:
//C
this.state = 7;
;
 //BA.debugLineNum = 1048;BA.debugLine="If File.Exists(File.DirRootExternal, \"numeri.txt\"";
if (true) break;

case 7:
//if
this.state = 12;
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"numeri.txt")==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 9;
;}if (true) break;

case 9:
//C
this.state = 12;
if (true) return ;
if (true) break;

case 12:
//C
this.state = 13;
;
 //BA.debugLineNum = 1050;BA.debugLine="Working = True";
parent._working = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 1051;BA.debugLine="Button1.Enabled = False";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 1052;BA.debugLine="Button2.Enabled = False";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 1053;BA.debugLine="Button3.Enabled = False";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 1054;BA.debugLine="Button4.Enabled = False";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 1055;BA.debugLine="Button5.Enabled = False";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 1057;BA.debugLine="tr.Initialize(File.OpenInput(File.DirRootExternal";
_tr.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt").getObject()));
 //BA.debugLineNum = 1058;BA.debugLine="lista1 = tr.ReadList";
_lista1 = _tr.ReadList();
 //BA.debugLineNum = 1059;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 1060;BA.debugLine="tr1.Initialize(File.OpenInput(File.DirRootExterna";
_tr1.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"numeri.txt").getObject()));
 //BA.debugLineNum = 1061;BA.debugLine="lista2 = tr1.ReadList";
_lista2 = _tr1.ReadList();
 //BA.debugLineNum = 1062;BA.debugLine="tr1.Close";
_tr1.Close();
 //BA.debugLineNum = 1063;BA.debugLine="For i = 0 To lista2.Size - 1";
if (true) break;

case 13:
//for
this.state = 60;
step23 = 1;
limit23 = (int) (_lista2.getSize()-1);
_i = (int) (0) ;
this.state = 61;
if (true) break;

case 61:
//C
this.state = 60;
if ((step23 > 0 && _i <= limit23) || (step23 < 0 && _i >= limit23)) this.state = 15;
if (true) break;

case 62:
//C
this.state = 61;
_i = ((int)(0 + _i + step23)) ;
if (true) break;

case 15:
//C
this.state = 16;
 //BA.debugLineNum = 1064;BA.debugLine="If (lista2.Get(i) <> Null) And (Len(lista2.Get(i";
if (true) break;

case 16:
//if
this.state = 59;
if ((_lista2.Get(_i)!= null) && (_len(BA.ObjectToString(_lista2.Get(_i)))>=5)) { 
this.state = 18;
}if (true) break;

case 18:
//C
this.state = 19;
 //BA.debugLineNum = 1065;BA.debugLine="riga = lista2.Get(i)";
_riga = BA.ObjectToString(_lista2.Get(_i));
 //BA.debugLineNum = 1066;BA.debugLine="ar = Split(riga, \" \")";
_ar = _split(_riga," ");
 //BA.debugLineNum = 1067;BA.debugLine="If ar.Length > 0 Then";
if (true) break;

case 19:
//if
this.state = 58;
if (_ar.length>0) { 
this.state = 21;
}else {
this.state = 35;
}if (true) break;

case 21:
//C
this.state = 22;
 //BA.debugLineNum = 1068;BA.debugLine="For j = 0 To ar.Length - 1";
if (true) break;

case 22:
//for
this.state = 33;
step28 = 1;
limit28 = (int) (_ar.length-1);
_j = (int) (0) ;
this.state = 63;
if (true) break;

case 63:
//C
this.state = 33;
if ((step28 > 0 && _j <= limit28) || (step28 < 0 && _j >= limit28)) this.state = 24;
if (true) break;

case 64:
//C
this.state = 63;
_j = ((int)(0 + _j + step28)) ;
if (true) break;

case 24:
//C
this.state = 25;
 //BA.debugLineNum = 1069;BA.debugLine="elem = ar(j)";
_elem = _ar[_j];
 //BA.debugLineNum = 1070;BA.debugLine="If IsTelephoneNumber(elem) = True Then";
if (true) break;

case 25:
//if
this.state = 32;
if (_istelephonenumber(_elem)==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 27;
}if (true) break;

case 27:
//C
this.state = 28;
 //BA.debugLineNum = 1071;BA.debugLine="elem = Replace(elem, \"-\", \"\")";
_elem = _replace(_elem,"-","");
 //BA.debugLineNum = 1072;BA.debugLine="elem = Replace(elem, \"/\", \"\")";
_elem = _replace(_elem,"/","");
 //BA.debugLineNum = 1074;BA.debugLine="If Esiste(elem) = 0  Then";
if (true) break;

case 28:
//if
this.state = 31;
if (_esiste(_elem)==0) { 
this.state = 30;
}if (true) break;

case 30:
//C
this.state = 31;
 //BA.debugLineNum = 1075;BA.debugLine="lista1.Add(elem)";
_lista1.Add((Object)(_elem));
 if (true) break;

case 31:
//C
this.state = 32;
;
 if (true) break;

case 32:
//C
this.state = 64;
;
 if (true) break;
if (true) break;

case 33:
//C
this.state = 58;
;
 if (true) break;

case 35:
//C
this.state = 36;
 //BA.debugLineNum = 1080;BA.debugLine="tr1.Initialize(File.OpenInput(File.DirRootExte";
_tr1.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"numeri.txt").getObject()));
 //BA.debugLineNum = 1081;BA.debugLine="riga = tr1.ReadLine";
_riga = _tr1.ReadLine();
 //BA.debugLineNum = 1082;BA.debugLine="lista1.Initialize";
_lista1.Initialize();
 //BA.debugLineNum = 1083;BA.debugLine="lista1.Clear";
_lista1.Clear();
 //BA.debugLineNum = 1084;BA.debugLine="If IsTelephoneNumber(riga) = True Then";
if (true) break;

case 36:
//if
this.state = 43;
if (_istelephonenumber(_riga)==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 38;
}if (true) break;

case 38:
//C
this.state = 39;
 //BA.debugLineNum = 1085;BA.debugLine="riga = Replace(riga, \"-\", \"\")";
_riga = _replace(_riga,"-","");
 //BA.debugLineNum = 1086;BA.debugLine="riga = Replace(riga, \"/\", \"\")";
_riga = _replace(_riga,"/","");
 //BA.debugLineNum = 1087;BA.debugLine="If Esiste(elem) = 0  Then";
if (true) break;

case 39:
//if
this.state = 42;
if (_esiste(_elem)==0) { 
this.state = 41;
}if (true) break;

case 41:
//C
this.state = 42;
 //BA.debugLineNum = 1088;BA.debugLine="lista1.Add(riga)";
_lista1.Add((Object)(_riga));
 if (true) break;

case 42:
//C
this.state = 43;
;
 if (true) break;
;
 //BA.debugLineNum = 1092;BA.debugLine="Do While riga <> Null";

case 43:
//do while
this.state = 57;
while (_riga!= null) {
this.state = 45;
if (true) break;
}
if (true) break;

case 45:
//C
this.state = 46;
 //BA.debugLineNum = 1093;BA.debugLine="riga = tr1.ReadLine";
_riga = _tr1.ReadLine();
 //BA.debugLineNum = 1094;BA.debugLine="If riga = Null Then";
if (true) break;

case 46:
//if
this.state = 49;
if (_riga== null) { 
this.state = 48;
}if (true) break;

case 48:
//C
this.state = 49;
 //BA.debugLineNum = 1095;BA.debugLine="Exit";
state = 57;
if (true) break;
 if (true) break;
;
 //BA.debugLineNum = 1097;BA.debugLine="If IsTelephoneNumber(riga) = True Then";

case 49:
//if
this.state = 56;
if (_istelephonenumber(_riga)==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 51;
}if (true) break;

case 51:
//C
this.state = 52;
 //BA.debugLineNum = 1098;BA.debugLine="riga = Replace(riga, \"-\", \"\")";
_riga = _replace(_riga,"-","");
 //BA.debugLineNum = 1099;BA.debugLine="riga = Replace(riga, \"/\", \"\")";
_riga = _replace(_riga,"/","");
 //BA.debugLineNum = 1100;BA.debugLine="If Esiste(elem) = 0  Then";
if (true) break;

case 52:
//if
this.state = 55;
if (_esiste(_elem)==0) { 
this.state = 54;
}if (true) break;

case 54:
//C
this.state = 55;
 //BA.debugLineNum = 1101;BA.debugLine="lista1.Add(riga)";
_lista1.Add((Object)(_riga));
 if (true) break;

case 55:
//C
this.state = 56;
;
 if (true) break;

case 56:
//C
this.state = 43;
;
 if (true) break;

case 57:
//C
this.state = 58;
;
 //BA.debugLineNum = 1106;BA.debugLine="tr1.Close";
_tr1.Close();
 if (true) break;

case 58:
//C
this.state = 59;
;
 if (true) break;

case 59:
//C
this.state = 62;
;
 if (true) break;
if (true) break;

case 60:
//C
this.state = -1;
;
 //BA.debugLineNum = 1115;BA.debugLine="tw.Initialize(File.OpenOutput(File.DirRootExterna";
_tw.Initialize((java.io.OutputStream)(anywheresoftware.b4a.keywords.Common.File.OpenOutput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt",anywheresoftware.b4a.keywords.Common.False).getObject()));
 //BA.debugLineNum = 1116;BA.debugLine="tw.WriteList(lista1)";
_tw.WriteList(_lista1);
 //BA.debugLineNum = 1117;BA.debugLine="tw.Close";
_tw.Close();
 //BA.debugLineNum = 1118;BA.debugLine="lista1.Clear";
_lista1.Clear();
 //BA.debugLineNum = 1119;BA.debugLine="lista2.Clear";
_lista2.Clear();
 //BA.debugLineNum = 1120;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 1121;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 65;
return;
case 65:
//C
this.state = -1;
;
 //BA.debugLineNum = 1122;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 1123;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 1124;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1125;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1126;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1127;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1128;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1129;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 1131;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static void  _button5_click() throws Exception{
ResumableSub_Button5_Click rsub = new ResumableSub_Button5_Click(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_Button5_Click extends BA.ResumableSub {
public ResumableSub_Button5_Click(b4a.callblocker.main parent) {
this.parent = parent;
}
b4a.callblocker.main parent;
int _retval = 0;
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr = null;
anywheresoftware.b4a.objects.streams.File.TextWriterWrapper _tw = null;
anywheresoftware.b4a.objects.collections.List _lista = null;
anywheresoftware.b4a.objects.collections.List _listanew = null;
String _number = "";
int _i = 0;
int step36;
int limit36;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
                return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 1177;BA.debugLine="Dim retval As Int";
_retval = 0;
 //BA.debugLineNum = 1178;BA.debugLine="Dim tr As TextReader";
_tr = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 1179;BA.debugLine="Dim tw As TextWriter";
_tw = new anywheresoftware.b4a.objects.streams.File.TextWriterWrapper();
 //BA.debugLineNum = 1180;BA.debugLine="Dim lista As List";
_lista = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 1181;BA.debugLine="Dim listanew As List";
_listanew = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 1182;BA.debugLine="Dim number As String";
_number = "";
 //BA.debugLineNum = 1183;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 1185;BA.debugLine="If pos = -1 Then Return";
if (true) break;

case 1:
//if
this.state = 6;
if (parent._pos==-1) { 
this.state = 3;
;}if (true) break;

case 3:
//C
this.state = 6;
if (true) return ;
if (true) break;

case 6:
//C
this.state = 7;
;
 //BA.debugLineNum = 1186;BA.debugLine="If Label1.Text = \"\" Then Return";
if (true) break;

case 7:
//if
this.state = 12;
if ((parent.mostCurrent._label1.getText()).equals("")) { 
this.state = 9;
;}if (true) break;

case 9:
//C
this.state = 12;
if (true) return ;
if (true) break;

case 12:
//C
this.state = 13;
;
 //BA.debugLineNum = 1187;BA.debugLine="If Label1.Text = Null Then Return";
if (true) break;

case 13:
//if
this.state = 18;
if (parent.mostCurrent._label1.getText()== null) { 
this.state = 15;
;}if (true) break;

case 15:
//C
this.state = 18;
if (true) return ;
if (true) break;

case 18:
//C
this.state = 19;
;
 //BA.debugLineNum = 1188;BA.debugLine="EditText1.Text = Replace(EditText1.Text, \" \", \"\")";
parent.mostCurrent._edittext1.setText(BA.ObjectToCharSequence(_replace(parent.mostCurrent._edittext1.getText()," ","")));
 //BA.debugLineNum = 1191;BA.debugLine="If EditText1.Text.Length < 4 Then Return";
if (true) break;

case 19:
//if
this.state = 24;
if (parent.mostCurrent._edittext1.getText().length()<4) { 
this.state = 21;
;}if (true) break;

case 21:
//C
this.state = 24;
if (true) return ;
if (true) break;

case 24:
//C
this.state = 25;
;
 //BA.debugLineNum = 1192;BA.debugLine="If Len(EditText1.Text) < 4 Then Return";
if (true) break;

case 25:
//if
this.state = 30;
if (_len(parent.mostCurrent._edittext1.getText())<4) { 
this.state = 27;
;}if (true) break;

case 27:
//C
this.state = 30;
if (true) return ;
if (true) break;

case 30:
//C
this.state = 31;
;
 //BA.debugLineNum = 1193;BA.debugLine="If EditText1.Text = Null Then Return";
if (true) break;

case 31:
//if
this.state = 36;
if (parent.mostCurrent._edittext1.getText()== null) { 
this.state = 33;
;}if (true) break;

case 33:
//C
this.state = 36;
if (true) return ;
if (true) break;

case 36:
//C
this.state = 37;
;
 //BA.debugLineNum = 1194;BA.debugLine="If EditText1.Text = \"\" Then Return";
if (true) break;

case 37:
//if
this.state = 42;
if ((parent.mostCurrent._edittext1.getText()).equals("")) { 
this.state = 39;
;}if (true) break;

case 39:
//C
this.state = 42;
if (true) return ;
if (true) break;

case 42:
//C
this.state = 43;
;
 //BA.debugLineNum = 1195;BA.debugLine="If IsNumber(EditText1.Text) = False Then Return";
if (true) break;

case 43:
//if
this.state = 48;
if (anywheresoftware.b4a.keywords.Common.IsNumber(parent.mostCurrent._edittext1.getText())==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 45;
;}if (true) break;

case 45:
//C
this.state = 48;
if (true) return ;
if (true) break;

case 48:
//C
this.state = 49;
;
 //BA.debugLineNum = 1196;BA.debugLine="retval = Esiste(EditText1.Text)";
_retval = _esiste(parent.mostCurrent._edittext1.getText());
 //BA.debugLineNum = 1197;BA.debugLine="If retval = 1 Then Return";
if (true) break;

case 49:
//if
this.state = 54;
if (_retval==1) { 
this.state = 51;
;}if (true) break;

case 51:
//C
this.state = 54;
if (true) return ;
if (true) break;

case 54:
//C
this.state = 55;
;
 //BA.debugLineNum = 1198;BA.debugLine="If retval = -1 Then Return";
if (true) break;

case 55:
//if
this.state = 60;
if (_retval==-1) { 
this.state = 57;
;}if (true) break;

case 57:
//C
this.state = 60;
if (true) return ;
if (true) break;

case 60:
//C
this.state = 61;
;
 //BA.debugLineNum = 1199;BA.debugLine="If retval = -2 Then Return";
if (true) break;

case 61:
//if
this.state = 66;
if (_retval==-2) { 
this.state = 63;
;}if (true) break;

case 63:
//C
this.state = 66;
if (true) return ;
if (true) break;

case 66:
//C
this.state = 67;
;
 //BA.debugLineNum = 1202;BA.debugLine="tr.Initialize(File.OpenInput(File.DirRootExternal";
_tr.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt").getObject()));
 //BA.debugLineNum = 1203;BA.debugLine="lista = tr.ReadList";
_lista = _tr.ReadList();
 //BA.debugLineNum = 1204;BA.debugLine="listanew.Initialize";
_listanew.Initialize();
 //BA.debugLineNum = 1205;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 1206;BA.debugLine="If lista.IsInitialized = False Then";
if (true) break;

case 67:
//if
this.state = 70;
if (_lista.IsInitialized()==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 69;
}if (true) break;

case 69:
//C
this.state = 70;
 //BA.debugLineNum = 1207;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 1208;BA.debugLine="Return";
if (true) return ;
 if (true) break;

case 70:
//C
this.state = 71;
;
 //BA.debugLineNum = 1211;BA.debugLine="Working = True";
parent._working = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 1212;BA.debugLine="Button1.Enabled = False";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 1213;BA.debugLine="Button2.Enabled = False";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 1214;BA.debugLine="Button3.Enabled = False";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 1215;BA.debugLine="Button4.Enabled = False";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 1216;BA.debugLine="Button5.Enabled = False";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 1218;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 1219;BA.debugLine="For i = 0 To lista.Size - 1";
if (true) break;

case 71:
//for
this.state = 82;
step36 = 1;
limit36 = (int) (_lista.getSize()-1);
_i = (int) (0) ;
this.state = 95;
if (true) break;

case 95:
//C
this.state = 82;
if ((step36 > 0 && _i <= limit36) || (step36 < 0 && _i >= limit36)) this.state = 73;
if (true) break;

case 96:
//C
this.state = 95;
_i = ((int)(0 + _i + step36)) ;
if (true) break;

case 73:
//C
this.state = 74;
 //BA.debugLineNum = 1220;BA.debugLine="number = lista.Get(i)";
_number = BA.ObjectToString(_lista.Get(_i));
 //BA.debugLineNum = 1221;BA.debugLine="If number <> Label1.Text Then";
if (true) break;

case 74:
//if
this.state = 81;
if ((_number).equals(parent.mostCurrent._label1.getText()) == false) { 
this.state = 76;
}else if(((_number).equals(parent.mostCurrent._label1.getText())) && (parent._pos==_i)) { 
this.state = 78;
}else if(((_number).equals(parent.mostCurrent._label1.getText())) && (parent._pos!=_i)) { 
this.state = 80;
}if (true) break;

case 76:
//C
this.state = 81;
 //BA.debugLineNum = 1222;BA.debugLine="listanew.Add(number)";
_listanew.Add((Object)(_number));
 if (true) break;

case 78:
//C
this.state = 81;
 //BA.debugLineNum = 1224;BA.debugLine="listanew.Add(EditText1.Text)";
_listanew.Add((Object)(parent.mostCurrent._edittext1.getText()));
 if (true) break;

case 80:
//C
this.state = 81;
 //BA.debugLineNum = 1226;BA.debugLine="listanew.Add(number)";
_listanew.Add((Object)(_number));
 if (true) break;

case 81:
//C
this.state = 96;
;
 if (true) break;
if (true) break;

case 82:
//C
this.state = 83;
;
 //BA.debugLineNum = 1229;BA.debugLine="tw.Initialize(File.OpenOutput(File.DirRootExterna";
_tw.Initialize((java.io.OutputStream)(anywheresoftware.b4a.keywords.Common.File.OpenOutput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt",anywheresoftware.b4a.keywords.Common.False).getObject()));
 //BA.debugLineNum = 1230;BA.debugLine="tw.WriteList(listanew)";
_tw.WriteList(_listanew);
 //BA.debugLineNum = 1231;BA.debugLine="tw.Close";
_tw.Close();
 //BA.debugLineNum = 1232;BA.debugLine="lista.Clear";
_lista.Clear();
 //BA.debugLineNum = 1233;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 1234;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 1235;BA.debugLine="If callblocker.Connesso = True Then";
if (true) break;

case 83:
//if
this.state = 88;
if (parent.mostCurrent._callblocker._connesso==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 85;
}else {
this.state = 87;
}if (true) break;

case 85:
//C
this.state = 88;
 //BA.debugLineNum = 1236;BA.debugLine="Label3.Text = \"Internet presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet presente"));
 if (true) break;

case 87:
//C
this.state = 88;
 //BA.debugLineNum = 1238;BA.debugLine="Label3.Text = \"Internet non presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet non presente"));
 if (true) break;

case 88:
//C
this.state = 89;
;
 //BA.debugLineNum = 1241;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 97;
return;
case 97:
//C
this.state = 89;
;
 //BA.debugLineNum = 1242;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 1243;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 1244;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1245;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1246;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1247;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1248;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 1249;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 1251;BA.debugLine="If callblocker.Connesso = True Then";
if (true) break;

case 89:
//if
this.state = 94;
if (parent.mostCurrent._callblocker._connesso==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 91;
}else {
this.state = 93;
}if (true) break;

case 91:
//C
this.state = 94;
 //BA.debugLineNum = 1252;BA.debugLine="Label3.Text = \"Internet presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet presente"));
 if (true) break;

case 93:
//C
this.state = 94;
 //BA.debugLineNum = 1254;BA.debugLine="Label3.Text = \"Internet non presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet non presente"));
 if (true) break;

case 94:
//C
this.state = -1;
;
 //BA.debugLineNum = 1256;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static String  _button6_click() throws Exception{
 //BA.debugLineNum = 1262;BA.debugLine="Sub Button6_Click";
 //BA.debugLineNum = 1263;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 1264;BA.debugLine="StartActivity(\"frmcallslog\")";
anywheresoftware.b4a.keywords.Common.StartActivity(processBA,(Object)("frmcallslog"));
 //BA.debugLineNum = 1266;BA.debugLine="End Sub";
return "";
}
public static String  _caricalista() throws Exception{
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr = null;
anywheresoftware.b4a.objects.collections.List _lista = null;
int _i = 0;
String _number = "";
 //BA.debugLineNum = 742;BA.debugLine="Sub CaricaLista";
 //BA.debugLineNum = 743;BA.debugLine="Dim tr As TextReader";
_tr = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 744;BA.debugLine="Dim lista As List";
_lista = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 745;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 746;BA.debugLine="Dim number As String";
_number = "";
 //BA.debugLineNum = 748;BA.debugLine="Label1.Text = \"\"";
mostCurrent._label1.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 749;BA.debugLine="Label2.Text = \"\"";
mostCurrent._label2.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 750;BA.debugLine="pos = -1";
_pos = (int) (-1);
 //BA.debugLineNum = 752;BA.debugLine="If File.Exists(File.DirRootExternal , \"banned.txt\"";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt")==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 753;BA.debugLine="ListView1.Clear";
mostCurrent._listview1.Clear();
 //BA.debugLineNum = 754;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 756;BA.debugLine="tr.Initialize(File.OpenInput(File.DirRootExternal,";
_tr.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt").getObject()));
 //BA.debugLineNum = 757;BA.debugLine="lista = tr.ReadList";
_lista = _tr.ReadList();
 //BA.debugLineNum = 758;BA.debugLine="ListView1.Clear";
mostCurrent._listview1.Clear();
 //BA.debugLineNum = 759;BA.debugLine="If lista.IsInitialized = True Then";
if (_lista.IsInitialized()==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 761;BA.debugLine="For i = 0 To lista.Size - 1";
{
final int step16 = 1;
final int limit16 = (int) (_lista.getSize()-1);
_i = (int) (0) ;
for (;(step16 > 0 && _i <= limit16) || (step16 < 0 && _i >= limit16) ;_i = ((int)(0 + _i + step16))  ) {
 //BA.debugLineNum = 762;BA.debugLine="number =  lista.Get(i)";
_number = BA.ObjectToString(_lista.Get(_i));
 //BA.debugLineNum = 763;BA.debugLine="If (number.Length) >= 4 And (number <> Null) Then";
if ((_number.length())>=4 && (_number!= null)) { 
 //BA.debugLineNum = 764;BA.debugLine="If IsNumber(number) = True  Then";
if (anywheresoftware.b4a.keywords.Common.IsNumber(_number)==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 765;BA.debugLine="ListView1.AddSingleLine(number)";
mostCurrent._listview1.AddSingleLine(BA.ObjectToCharSequence(_number));
 //BA.debugLineNum = 766;BA.debugLine="ListView1.Invalidate";
mostCurrent._listview1.Invalidate();
 //BA.debugLineNum = 767;BA.debugLine="ListView1.FastScrollEnabled = True";
mostCurrent._listview1.setFastScrollEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 768;BA.debugLine="ListView1.SingleLineLayout.ItemHeight = 30dip";
mostCurrent._listview1.getSingleLineLayout().setItemHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30)));
 //BA.debugLineNum = 769;BA.debugLine="ListView1.SingleLineLayout.Label.TextSize = 13";
mostCurrent._listview1.getSingleLineLayout().Label.setTextSize((float) (13));
 //BA.debugLineNum = 770;BA.debugLine="ListView1.Invalidate";
mostCurrent._listview1.Invalidate();
 };
 };
 }
};
 };
 //BA.debugLineNum = 775;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 776;BA.debugLine="lista.Clear";
_lista.Clear();
 //BA.debugLineNum = 778;BA.debugLine="End Sub";
return "";
}
public static void  _checklogcall_click() throws Exception{
ResumableSub_CheckLogCall_Click rsub = new ResumableSub_CheckLogCall_Click(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_CheckLogCall_Click extends BA.ResumableSub {
public ResumableSub_CheckLogCall_Click(b4a.callblocker.main parent) {
this.parent = parent;
}
b4a.callblocker.main parent;
int _i = 0;
String _new = "";
anywheresoftware.b4a.objects.collections.List _mylist = null;
anywheresoftware.b4a.objects.collections.List _lista = null;
anywheresoftware.b4a.objects.collections.List _listanew = null;
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr = null;
anywheresoftware.b4a.objects.streams.File.TextWriterWrapper _tw = null;
String _number = "";
String _savednumber = "";
int _cont = 0;
String _new1 = "";
int step32;
int limit32;
int step83;
int limit83;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
                return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 561;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 562;BA.debugLine="Dim new As String";
_new = "";
 //BA.debugLineNum = 563;BA.debugLine="Dim mylist As List";
_mylist = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 564;BA.debugLine="Dim lista As List";
_lista = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 565;BA.debugLine="Dim listanew As List";
_listanew = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 566;BA.debugLine="Dim tr As TextReader";
_tr = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 567;BA.debugLine="Dim tw As TextWriter";
_tw = new anywheresoftware.b4a.objects.streams.File.TextWriterWrapper();
 //BA.debugLineNum = 568;BA.debugLine="Dim number As String";
_number = "";
 //BA.debugLineNum = 569;BA.debugLine="Dim savednumber As String";
_savednumber = "";
 //BA.debugLineNum = 570;BA.debugLine="Dim cont As Int";
_cont = 0;
 //BA.debugLineNum = 571;BA.debugLine="Dim new1 As String";
_new1 = "";
 //BA.debugLineNum = 573;BA.debugLine="Dim Calls As List";
parent._calls = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 575;BA.debugLine="Dim CallLog As CallLog";
parent._calllog = new anywheresoftware.b4a.phone.CallLogWrapper();
 //BA.debugLineNum = 577;BA.debugLine="If (Working = True) Then Return";
if (true) break;

case 1:
//if
this.state = 6;
if ((parent._working==anywheresoftware.b4a.keywords.Common.True)) { 
this.state = 3;
;}if (true) break;

case 3:
//C
this.state = 6;
if (true) return ;
if (true) break;

case 6:
//C
this.state = 7;
;
 //BA.debugLineNum = 579;BA.debugLine="If Connected = False Then";
if (true) break;

case 7:
//if
this.state = 10;
if (_connected()==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 9;
}if (true) break;

case 9:
//C
this.state = 10;
 //BA.debugLineNum = 580;BA.debugLine="ToastMessageShow(\"You are not connected to inter";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("You are not connected to internet!"),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 581;BA.debugLine="Return";
if (true) return ;
 if (true) break;

case 10:
//C
this.state = 11;
;
 //BA.debugLineNum = 585;BA.debugLine="Button1.Enabled = False";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 586;BA.debugLine="Button2.Enabled = False";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 587;BA.debugLine="Button3.Enabled = False";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 588;BA.debugLine="Button4.Enabled = False";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 589;BA.debugLine="Button5.Enabled = False";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 590;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 591;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 67;
return;
case 67:
//C
this.state = 11;
;
 //BA.debugLineNum = 592;BA.debugLine="ToastMessageShow(\"Mi collego al sito tellows!\", F";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Mi collego al sito tellows!"),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 593;BA.debugLine="Calls.Initialize";
parent._calls.Initialize();
 //BA.debugLineNum = 594;BA.debugLine="Calls.Clear";
parent._calls.Clear();
 //BA.debugLineNum = 595;BA.debugLine="Working = True";
parent._working = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 596;BA.debugLine="cont = 0";
_cont = (int) (0);
 //BA.debugLineNum = 597;BA.debugLine="Calls = CallLog.GetAll(0)";
parent._calls = parent._calllog.GetAll((int) (0));
 //BA.debugLineNum = 598;BA.debugLine="For i = 0 To Calls.Size - 1";
if (true) break;

case 11:
//for
this.state = 40;
step32 = 1;
limit32 = (int) (parent._calls.getSize()-1);
_i = (int) (0) ;
this.state = 68;
if (true) break;

case 68:
//C
this.state = 40;
if ((step32 > 0 && _i <= limit32) || (step32 < 0 && _i >= limit32)) this.state = 13;
if (true) break;

case 69:
//C
this.state = 68;
_i = ((int)(0 + _i + step32)) ;
if (true) break;

case 13:
//C
this.state = 14;
 //BA.debugLineNum = 599;BA.debugLine="c = Calls.Get(i)";
parent._c = (anywheresoftware.b4a.phone.CallLogWrapper.CallItem)(parent._calls.Get(_i));
 //BA.debugLineNum = 600;BA.debugLine="If (c.Number <> Null) And (c.Number <> \"\") And (";
if (true) break;

case 14:
//if
this.state = 39;
if ((parent._c.Number!= null) && ((parent._c.Number).equals("") == false) && (_len(parent._c.Number)>0)) { 
this.state = 16;
}if (true) break;

case 16:
//C
this.state = 17;
 //BA.debugLineNum = 601;BA.debugLine="If (Len(c.Number) > 4) And (EsisteInRubrica(c.N";
if (true) break;

case 17:
//if
this.state = 38;
if ((_len(parent._c.Number)>4) && (_esisteinrubrica(parent._c.Number)==anywheresoftware.b4a.keywords.Common.False)) { 
this.state = 19;
}if (true) break;

case 19:
//C
this.state = 20;
 //BA.debugLineNum = 602;BA.debugLine="new = c.Number";
_new = parent._c.Number;
 //BA.debugLineNum = 603;BA.debugLine="savednumber = c.Number";
_savednumber = parent._c.Number;
 //BA.debugLineNum = 604;BA.debugLine="new = Replace(new, \"+39\", \"\")";
_new = _replace(_new,"+39","");
 //BA.debugLineNum = 605;BA.debugLine="new = Replace(new, \"+\", \"%2B\")";
_new = _replace(_new,"+","%2B");
 //BA.debugLineNum = 606;BA.debugLine="ValidTellows = -1";
parent._validtellows = (int) (-1);
 //BA.debugLineNum = 607;BA.debugLine="job.PostString(\"https://www.tellows.it/search?";
parent._job._poststring("https://www.tellows.it/search?","number="+_new);
 //BA.debugLineNum = 609;BA.debugLine="Do While ValidTellows = -1";
if (true) break;

case 20:
//do while
this.state = 23;
while (parent._validtellows==-1) {
this.state = 22;
if (true) break;
}
if (true) break;

case 22:
//C
this.state = 20;
 //BA.debugLineNum = 610;BA.debugLine="Sleep(200)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (200));
this.state = 70;
return;
case 70:
//C
this.state = 20;
;
 if (true) break;
;
 //BA.debugLineNum = 613;BA.debugLine="If (ValidTellows = 0) And (Esiste(new) <> 1) T";

case 23:
//if
this.state = 37;
if ((parent._validtellows==0) && (_esiste(_new)!=1)) { 
this.state = 25;
}else {
this.state = 36;
}if (true) break;

case 25:
//C
this.state = 26;
 //BA.debugLineNum = 614;BA.debugLine="new1 = GetNumFromBuffer(buffersav)";
_new1 = _getnumfrombuffer(parent._buffersav);
 //BA.debugLineNum = 615;BA.debugLine="If (new1 <> \"0\") And (new1 <> \"\")  Then";
if (true) break;

case 26:
//if
this.state = 31;
if (((_new1).equals("0") == false) && ((_new1).equals("") == false)) { 
this.state = 28;
}else {
this.state = 30;
}if (true) break;

case 28:
//C
this.state = 31;
 //BA.debugLineNum = 616;BA.debugLine="savednumber = new1";
_savednumber = _new1;
 if (true) break;

case 30:
//C
this.state = 31;
 //BA.debugLineNum = 618;BA.debugLine="savednumber = savednumber";
_savednumber = _savednumber;
 if (true) break;
;
 //BA.debugLineNum = 622;BA.debugLine="If Not (mylist.IsInitialized) Then";

case 31:
//if
this.state = 34;
if (anywheresoftware.b4a.keywords.Common.Not(_mylist.IsInitialized())) { 
this.state = 33;
}if (true) break;

case 33:
//C
this.state = 34;
 //BA.debugLineNum = 623;BA.debugLine="mylist.Initialize";
_mylist.Initialize();
 if (true) break;

case 34:
//C
this.state = 37;
;
 //BA.debugLineNum = 626;BA.debugLine="savednumber = Regex.Replace(\"+39\", savednumbe";
_savednumber = anywheresoftware.b4a.keywords.Common.Regex.Replace("+39",_savednumber,"");
 //BA.debugLineNum = 628;BA.debugLine="mylist.Add(savednumber)";
_mylist.Add((Object)(_savednumber));
 //BA.debugLineNum = 629;BA.debugLine="ToastMessageShow(\"Il numero: \" & savednumber";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Il numero: "+_savednumber+" risulta essere di pubblicità aggressiva!"),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 630;BA.debugLine="cont = cont + 1";
_cont = (int) (_cont+1);
 if (true) break;

case 36:
//C
this.state = 37;
 if (true) break;

case 37:
//C
this.state = 38;
;
 if (true) break;

case 38:
//C
this.state = 39;
;
 if (true) break;

case 39:
//C
this.state = 69;
;
 if (true) break;
if (true) break;
;
 //BA.debugLineNum = 639;BA.debugLine="If Not (mylist.IsInitialized) Then";

case 40:
//if
this.state = 43;
if (anywheresoftware.b4a.keywords.Common.Not(_mylist.IsInitialized())) { 
this.state = 42;
}if (true) break;

case 42:
//C
this.state = 43;
 //BA.debugLineNum = 640;BA.debugLine="ToastMessageShow(\"Non ho trovato numeri di pubbl";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Non ho trovato numeri di pubblicità aggressiva!"),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 641;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 642;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 643;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 644;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 645;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 646;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 647;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 648;BA.debugLine="EditText1.Text = \"\"";
parent.mostCurrent._edittext1.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 649;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 650;BA.debugLine="Return";
if (true) return ;
 if (true) break;
;
 //BA.debugLineNum = 656;BA.debugLine="If File.Exists(File.DirRootExternal , \"banned.txt";

case 43:
//if
this.state = 60;
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt")==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 45;
}else {
this.state = 59;
}if (true) break;

case 45:
//C
this.state = 46;
 //BA.debugLineNum = 657;BA.debugLine="tr.Initialize(File.OpenInput(File.DirRootExterna";
_tr.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt").getObject()));
 //BA.debugLineNum = 658;BA.debugLine="lista = tr.ReadList";
_lista = _tr.ReadList();
 //BA.debugLineNum = 659;BA.debugLine="listanew.Initialize";
_listanew.Initialize();
 //BA.debugLineNum = 660;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 661;BA.debugLine="If lista.IsInitialized = True Then";
if (true) break;

case 46:
//if
this.state = 57;
if (_lista.IsInitialized()==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 48;
}if (true) break;

case 48:
//C
this.state = 49;
 //BA.debugLineNum = 662;BA.debugLine="For i = 0 To lista.Size - 1";
if (true) break;

case 49:
//for
this.state = 56;
step83 = 1;
limit83 = (int) (_lista.getSize()-1);
_i = (int) (0) ;
this.state = 71;
if (true) break;

case 71:
//C
this.state = 56;
if ((step83 > 0 && _i <= limit83) || (step83 < 0 && _i >= limit83)) this.state = 51;
if (true) break;

case 72:
//C
this.state = 71;
_i = ((int)(0 + _i + step83)) ;
if (true) break;

case 51:
//C
this.state = 52;
 //BA.debugLineNum = 663;BA.debugLine="number = lista.Get(i)";
_number = BA.ObjectToString(_lista.Get(_i));
 //BA.debugLineNum = 664;BA.debugLine="If IsNumber(number) = True Then";
if (true) break;

case 52:
//if
this.state = 55;
if (anywheresoftware.b4a.keywords.Common.IsNumber(_number)==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 54;
}if (true) break;

case 54:
//C
this.state = 55;
 //BA.debugLineNum = 665;BA.debugLine="listanew.Add(number)";
_listanew.Add((Object)(_number));
 if (true) break;

case 55:
//C
this.state = 72;
;
 if (true) break;
if (true) break;

case 56:
//C
this.state = 57;
;
 if (true) break;

case 57:
//C
this.state = 60;
;
 //BA.debugLineNum = 669;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 670;BA.debugLine="lista.Clear";
_lista.Clear();
 if (true) break;

case 59:
//C
this.state = 60;
 //BA.debugLineNum = 672;BA.debugLine="listanew.Initialize";
_listanew.Initialize();
 //BA.debugLineNum = 673;BA.debugLine="listanew.Clear";
_listanew.Clear();
 if (true) break;

case 60:
//C
this.state = 61;
;
 //BA.debugLineNum = 677;BA.debugLine="listanew.AddAll(mylist)";
_listanew.AddAll(_mylist);
 //BA.debugLineNum = 678;BA.debugLine="tw.Initialize(File.OpenOutput(File.DirRootExterna";
_tw.Initialize((java.io.OutputStream)(anywheresoftware.b4a.keywords.Common.File.OpenOutput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt",anywheresoftware.b4a.keywords.Common.False).getObject()));
 //BA.debugLineNum = 679;BA.debugLine="tw.WriteList(listanew)";
_tw.WriteList(_listanew);
 //BA.debugLineNum = 680;BA.debugLine="tw.Close";
_tw.Close();
 //BA.debugLineNum = 681;BA.debugLine="listanew.Clear";
_listanew.Clear();
 //BA.debugLineNum = 684;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 685;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 686;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 687;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 688;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 689;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 690;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 691;BA.debugLine="EditText1.Text = \"\"";
parent.mostCurrent._edittext1.setText(BA.ObjectToCharSequence(""));
 //BA.debugLineNum = 694;BA.debugLine="If (cont > 0) Then ToastMessageShow(\"I numeri di";
if (true) break;

case 61:
//if
this.state = 66;
if ((_cont>0)) { 
this.state = 63;
;}if (true) break;

case 63:
//C
this.state = 66;
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("I numeri di pubblicità aggressiva sono stati aggiunti alla blacklist!"),anywheresoftware.b4a.keywords.Common.True);
if (true) break;

case 66:
//C
this.state = -1;
;
 //BA.debugLineNum = 695;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 698;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static void  _checkphonenumber_click() throws Exception{
ResumableSub_CheckPhoneNumber_Click rsub = new ResumableSub_CheckPhoneNumber_Click(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_CheckPhoneNumber_Click extends BA.ResumableSub {
public ResumableSub_CheckPhoneNumber_Click(b4a.callblocker.main parent) {
this.parent = parent;
}
b4a.callblocker.main parent;
String _new = "";
String _saved = "";
String _new1 = "";

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
                return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 285;BA.debugLine="Dim new As String";
_new = "";
 //BA.debugLineNum = 286;BA.debugLine="Dim saved As String";
_saved = "";
 //BA.debugLineNum = 287;BA.debugLine="Dim new1 As String";
_new1 = "";
 //BA.debugLineNum = 289;BA.debugLine="new = EditText1.Text";
_new = parent.mostCurrent._edittext1.getText();
 //BA.debugLineNum = 290;BA.debugLine="saved = new";
_saved = _new;
 //BA.debugLineNum = 291;BA.debugLine="If (new = Null) Then Return";
if (true) break;

case 1:
//if
this.state = 6;
if ((_new== null)) { 
this.state = 3;
;}if (true) break;

case 3:
//C
this.state = 6;
if (true) return ;
if (true) break;

case 6:
//C
this.state = 7;
;
 //BA.debugLineNum = 292;BA.debugLine="If (new = \"\") Then Return";
if (true) break;

case 7:
//if
this.state = 12;
if (((_new).equals(""))) { 
this.state = 9;
;}if (true) break;

case 9:
//C
this.state = 12;
if (true) return ;
if (true) break;

case 12:
//C
this.state = 13;
;
 //BA.debugLineNum = 293;BA.debugLine="If (Working = True) Then Return";
if (true) break;

case 13:
//if
this.state = 18;
if ((parent._working==anywheresoftware.b4a.keywords.Common.True)) { 
this.state = 15;
;}if (true) break;

case 15:
//C
this.state = 18;
if (true) return ;
if (true) break;

case 18:
//C
this.state = 19;
;
 //BA.debugLineNum = 295;BA.debugLine="If Connected = False Then";
if (true) break;

case 19:
//if
this.state = 22;
if (_connected()==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 21;
}if (true) break;

case 21:
//C
this.state = 22;
 //BA.debugLineNum = 296;BA.debugLine="ToastMessageShow(\"You are not connected to inter";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("You are not connected to internet!"),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 297;BA.debugLine="Return";
if (true) return ;
 if (true) break;

case 22:
//C
this.state = 23;
;
 //BA.debugLineNum = 301;BA.debugLine="Working = True";
parent._working = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 303;BA.debugLine="Button1.Enabled = False";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 304;BA.debugLine="Button2.Enabled = False";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 305;BA.debugLine="Button3.Enabled = False";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 306;BA.debugLine="Button4.Enabled = False";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 307;BA.debugLine="Button5.Enabled = False";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 308;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 309;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 38;
return;
case 38:
//C
this.state = 23;
;
 //BA.debugLineNum = 311;BA.debugLine="new = Replace(new, \"+39\", \"\")";
_new = _replace(_new,"+39","");
 //BA.debugLineNum = 312;BA.debugLine="new = Replace(new, \"+\", \"%2B\")";
_new = _replace(_new,"+","%2B");
 //BA.debugLineNum = 313;BA.debugLine="ValidTellows = -1";
parent._validtellows = (int) (-1);
 //BA.debugLineNum = 315;BA.debugLine="ToastMessageShow(\"Mi collego al sito tellows!\", F";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Mi collego al sito tellows!"),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 316;BA.debugLine="job.PostString(\"https://www.tellows.it/search?\" ,";
parent._job._poststring("https://www.tellows.it/search?","number="+_new);
 //BA.debugLineNum = 320;BA.debugLine="Do While ValidTellows = -1";
if (true) break;

case 23:
//do while
this.state = 26;
while (parent._validtellows==-1) {
this.state = 25;
if (true) break;
}
if (true) break;

case 25:
//C
this.state = 23;
 //BA.debugLineNum = 321;BA.debugLine="Sleep(200)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (200));
this.state = 39;
return;
case 39:
//C
this.state = 23;
;
 if (true) break;
;
 //BA.debugLineNum = 323;BA.debugLine="Select ValidTellows";

case 26:
//select
this.state = 37;
switch (parent._validtellows) {
case 1: {
this.state = 28;
if (true) break;
}
case 0: {
this.state = 30;
if (true) break;
}
}
if (true) break;

case 28:
//C
this.state = 37;
 //BA.debugLineNum = 325;BA.debugLine="ToastMessageShow(\"Il numero: \" & saved & \" non";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Il numero: "+_saved+" non risulta essere di pubblicità aggressiva!"),anywheresoftware.b4a.keywords.Common.False);
 if (true) break;

case 30:
//C
this.state = 31;
 //BA.debugLineNum = 327;BA.debugLine="ToastMessageShow(\"Il numero: \" & saved & \" risu";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Il numero: "+_saved+" risulta essere di pubblicità aggressiva!"),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 328;BA.debugLine="new1 = GetNumFromBuffer(buffersav)";
_new1 = _getnumfrombuffer(parent._buffersav);
 //BA.debugLineNum = 329;BA.debugLine="If (new1 <> \"0\") And (new1 <> \"\")  Then";
if (true) break;

case 31:
//if
this.state = 36;
if (((_new1).equals("0") == false) && ((_new1).equals("") == false)) { 
this.state = 33;
}else {
this.state = 35;
}if (true) break;

case 33:
//C
this.state = 36;
 //BA.debugLineNum = 330;BA.debugLine="new = new1";
_new = _new1;
 if (true) break;

case 35:
//C
this.state = 36;
 //BA.debugLineNum = 332;BA.debugLine="new = new";
_new = _new;
 if (true) break;

case 36:
//C
this.state = 37;
;
 //BA.debugLineNum = 334;BA.debugLine="AggiungiNumeroBannato(new)";
_aggiunginumerobannato(_new);
 if (true) break;

case 37:
//C
this.state = -1;
;
 //BA.debugLineNum = 339;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 340;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 341;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 342;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 343;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 344;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 345;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 346;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 347;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static boolean  _connected() throws Exception{
anywheresoftware.b4a.phone.Phone _p = null;
anywheresoftware.b4a.keywords.StringBuilderWrapper _response = null;
anywheresoftware.b4a.keywords.StringBuilderWrapper _error = null;
 //BA.debugLineNum = 186;BA.debugLine="Sub Connected As Boolean";
 //BA.debugLineNum = 188;BA.debugLine="Dim p As Phone";
_p = new anywheresoftware.b4a.phone.Phone();
 //BA.debugLineNum = 189;BA.debugLine="Dim Response, Error As StringBuilder";
_response = new anywheresoftware.b4a.keywords.StringBuilderWrapper();
_error = new anywheresoftware.b4a.keywords.StringBuilderWrapper();
 //BA.debugLineNum = 190;BA.debugLine="Response.Initialize";
_response.Initialize();
 //BA.debugLineNum = 191;BA.debugLine="Error.Initialize";
_error.Initialize();
 //BA.debugLineNum = 193;BA.debugLine="p.Shell(\"ping -c 1 8.8.8.8\",Null,Response,Error)";
_p.Shell("ping -c 1 8.8.8.8",(String[])(anywheresoftware.b4a.keywords.Common.Null),(java.lang.StringBuilder)(_response.getObject()),(java.lang.StringBuilder)(_error.getObject()));
 //BA.debugLineNum = 194;BA.debugLine="Log(\"======= Response ========\")";
anywheresoftware.b4a.keywords.Common.Log("======= Response ========");
 //BA.debugLineNum = 195;BA.debugLine="Log(Response)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(_response));
 //BA.debugLineNum = 196;BA.debugLine="Log(\"======= Error ===========\")";
anywheresoftware.b4a.keywords.Common.Log("======= Error ===========");
 //BA.debugLineNum = 197;BA.debugLine="Log(Error)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(_error));
 //BA.debugLineNum = 198;BA.debugLine="Log(\"======================\")";
anywheresoftware.b4a.keywords.Common.Log("======================");
 //BA.debugLineNum = 200;BA.debugLine="If Error.ToString=\"\" Then";
if ((_error.ToString()).equals("")) { 
 //BA.debugLineNum = 201;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 }else {
 //BA.debugLineNum = 203;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 206;BA.debugLine="End Sub";
return false;
}
public static int  _elaboratellows(String _buffer) throws Exception{
String _score = "";
int _scorenb = 0;
adr.stringfunctions.stringfunctions _sf = null;
anywheresoftware.b4a.keywords.Regex.MatcherWrapper _m = null;
 //BA.debugLineNum = 226;BA.debugLine="Sub ElaboraTellows(buffer As String) As Int";
 //BA.debugLineNum = 227;BA.debugLine="Dim score As String";
_score = "";
 //BA.debugLineNum = 228;BA.debugLine="Dim scorenb As Int";
_scorenb = 0;
 //BA.debugLineNum = 229;BA.debugLine="Dim sf As StringFunctions";
_sf = new adr.stringfunctions.stringfunctions();
 //BA.debugLineNum = 230;BA.debugLine="Dim m As Matcher";
_m = new anywheresoftware.b4a.keywords.Regex.MatcherWrapper();
 //BA.debugLineNum = 232;BA.debugLine="sf.Initialize";
_sf._initialize(processBA);
 //BA.debugLineNum = 234;BA.debugLine="m = Regex.Matcher(\"/score\\d.png\", buffer)";
_m = anywheresoftware.b4a.keywords.Common.Regex.Matcher("/score\\d.png",_buffer);
 //BA.debugLineNum = 235;BA.debugLine="If m.Find Then";
if (_m.Find()) { 
 //BA.debugLineNum = 236;BA.debugLine="score = m.Match";
_score = _m.getMatch();
 //BA.debugLineNum = 237;BA.debugLine="If sf.InString(score, Chr(34)) <> -1  Then score";
if (_sf._vvv4(_score,BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (34))))!=-1) { 
_score = anywheresoftware.b4a.keywords.Common.Regex.Replace(BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (34))),_score,"");};
 //BA.debugLineNum = 238;BA.debugLine="If sf.InString(score, \"/\") <> -1  Then score = R";
if (_sf._vvv4(_score,"/")!=-1) { 
_score = anywheresoftware.b4a.keywords.Common.Regex.Replace("/",_score,"");};
 //BA.debugLineNum = 239;BA.debugLine="If sf.InString(score, \">\") <> -1  Then score = R";
if (_sf._vvv4(_score,">")!=-1) { 
_score = anywheresoftware.b4a.keywords.Common.Regex.Replace(">",_score,"");};
 //BA.debugLineNum = 240;BA.debugLine="If sf.InString(score, \"<\") <> -1  Then score = R";
if (_sf._vvv4(_score,"<")!=-1) { 
_score = anywheresoftware.b4a.keywords.Common.Regex.Replace("<",_score,"");};
 //BA.debugLineNum = 241;BA.debugLine="If sf.InString(score, \" \") <> -1  Then score = R";
if (_sf._vvv4(_score," ")!=-1) { 
_score = anywheresoftware.b4a.keywords.Common.Regex.Replace(" ",_score,"");};
 //BA.debugLineNum = 242;BA.debugLine="If score = \"score1.png\" Then scorenb = 1";
if ((_score).equals("score1.png")) { 
_scorenb = (int) (1);};
 //BA.debugLineNum = 243;BA.debugLine="If score = \"score2.png\" Then scorenb = 2";
if ((_score).equals("score2.png")) { 
_scorenb = (int) (2);};
 //BA.debugLineNum = 244;BA.debugLine="If score = \"score3.png\" Then scorenb = 3";
if ((_score).equals("score3.png")) { 
_scorenb = (int) (3);};
 //BA.debugLineNum = 245;BA.debugLine="If score = \"score4.png\" Then scorenb = 4";
if ((_score).equals("score4.png")) { 
_scorenb = (int) (4);};
 //BA.debugLineNum = 246;BA.debugLine="If score = \"score5.png\" Then scorenb = 5";
if ((_score).equals("score5.png")) { 
_scorenb = (int) (5);};
 //BA.debugLineNum = 247;BA.debugLine="If score = \"score6.png\" Then scorenb = 6";
if ((_score).equals("score6.png")) { 
_scorenb = (int) (6);};
 //BA.debugLineNum = 248;BA.debugLine="If score = \"score7.png\" Then scorenb = 7";
if ((_score).equals("score7.png")) { 
_scorenb = (int) (7);};
 //BA.debugLineNum = 249;BA.debugLine="If score = \"score8.png\" Then scorenb = 8";
if ((_score).equals("score8.png")) { 
_scorenb = (int) (8);};
 //BA.debugLineNum = 250;BA.debugLine="If score = \"score9.png\" Then scorenb = 9";
if ((_score).equals("score9.png")) { 
_scorenb = (int) (9);};
 //BA.debugLineNum = 251;BA.debugLine="If (scorenb > 5) Then Return 0";
if ((_scorenb>5)) { 
if (true) return (int) (0);};
 //BA.debugLineNum = 252;BA.debugLine="Return 1";
if (true) return (int) (1);
 };
 //BA.debugLineNum = 254;BA.debugLine="Return 1";
if (true) return (int) (1);
 //BA.debugLineNum = 258;BA.debugLine="End Sub";
return 0;
}
public static int  _esiste(String _numero) throws Exception{
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr = null;
anywheresoftware.b4a.objects.collections.List _lista = null;
int _i = 0;
 //BA.debugLineNum = 909;BA.debugLine="Sub Esiste(numero As String) As Int";
 //BA.debugLineNum = 910;BA.debugLine="Dim tr As TextReader";
_tr = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 911;BA.debugLine="Dim lista As List";
_lista = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 912;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 913;BA.debugLine="If File.Exists(File.DirRootExternal, \"banned.txt\")";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt")==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 914;BA.debugLine="Return -2";
if (true) return (int) (-2);
 };
 //BA.debugLineNum = 916;BA.debugLine="tr.Initialize(File.OpenInput(File.DirRootExternal,";
_tr.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt").getObject()));
 //BA.debugLineNum = 917;BA.debugLine="lista = tr.ReadList";
_lista = _tr.ReadList();
 //BA.debugLineNum = 918;BA.debugLine="If lista.IsInitialized = True Then";
if (_lista.IsInitialized()==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 919;BA.debugLine="For i = 0 To lista.Size - 1";
{
final int step10 = 1;
final int limit10 = (int) (_lista.getSize()-1);
_i = (int) (0) ;
for (;(step10 > 0 && _i <= limit10) || (step10 < 0 && _i >= limit10) ;_i = ((int)(0 + _i + step10))  ) {
 //BA.debugLineNum = 920;BA.debugLine="If lista.Get(i) = numero Then";
if ((_lista.Get(_i)).equals((Object)(_numero))) { 
 //BA.debugLineNum = 921;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 922;BA.debugLine="lista.Clear";
_lista.Clear();
 //BA.debugLineNum = 923;BA.debugLine="Return 1";
if (true) return (int) (1);
 };
 }
};
 //BA.debugLineNum = 926;BA.debugLine="Return 0";
if (true) return (int) (0);
 }else {
 //BA.debugLineNum = 928;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 929;BA.debugLine="lista.Clear";
_lista.Clear();
 //BA.debugLineNum = 930;BA.debugLine="Return -1";
if (true) return (int) (-1);
 };
 //BA.debugLineNum = 932;BA.debugLine="End Sub";
return 0;
}
public static boolean  _esisteinrubrica(String _numero) throws Exception{
anywheresoftware.b4a.objects.collections.List _lista = null;
b4a.callblocker.contactsutils _cu = null;
adr.stringfunctions.stringfunctions _sf = null;
 //BA.debugLineNum = 524;BA.debugLine="Sub EsisteInRubrica(numero As String) As Boolean";
 //BA.debugLineNum = 525;BA.debugLine="Dim lista As List";
_lista = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 526;BA.debugLine="Dim cu As ContactsUtils";
_cu = new b4a.callblocker.contactsutils();
 //BA.debugLineNum = 527;BA.debugLine="Dim sf As StringFunctions";
_sf = new adr.stringfunctions.stringfunctions();
 //BA.debugLineNum = 528;BA.debugLine="lista.Initialize";
_lista.Initialize();
 //BA.debugLineNum = 529;BA.debugLine="cu.Initialize";
_cu._initialize(processBA);
 //BA.debugLineNum = 530;BA.debugLine="sf.Initialize";
_sf._initialize(processBA);
 //BA.debugLineNum = 531;BA.debugLine="If sf.InString(numero, \" \") > 0  Then";
if (_sf._vvv4(_numero," ")>0) { 
 //BA.debugLineNum = 532;BA.debugLine="numero = Regex.Replace(\" \", numero, \"\")";
_numero = anywheresoftware.b4a.keywords.Common.Regex.Replace(" ",_numero,"");
 };
 //BA.debugLineNum = 534;BA.debugLine="If sf.InString(numero, \"-\")  > 0  Then";
if (_sf._vvv4(_numero,"-")>0) { 
 //BA.debugLineNum = 535;BA.debugLine="numero = Regex.Replace(\"-\", numero, \"\")";
_numero = anywheresoftware.b4a.keywords.Common.Regex.Replace("-",_numero,"");
 };
 //BA.debugLineNum = 537;BA.debugLine="If sf.InString(numero, \"+\")  > 0  Then";
if (_sf._vvv4(_numero,"+")>0) { 
 //BA.debugLineNum = 538;BA.debugLine="numero = Regex.Replace(\"+\", numero, \"\")";
_numero = anywheresoftware.b4a.keywords.Common.Regex.Replace("+",_numero,"");
 };
 //BA.debugLineNum = 540;BA.debugLine="If sf.InString(numero, \",\") > 0  Then";
if (_sf._vvv4(_numero,",")>0) { 
 //BA.debugLineNum = 541;BA.debugLine="numero = Regex.Replace(\",\", numero, \"\")";
_numero = anywheresoftware.b4a.keywords.Common.Regex.Replace(",",_numero,"");
 };
 //BA.debugLineNum = 543;BA.debugLine="If sf.InString(numero, \"(\")  > 0  Then";
if (_sf._vvv4(_numero,"(")>0) { 
 //BA.debugLineNum = 544;BA.debugLine="numero = Regex.Replace(\"(\", numero, \"\")";
_numero = anywheresoftware.b4a.keywords.Common.Regex.Replace("(",_numero,"");
 };
 //BA.debugLineNum = 546;BA.debugLine="If sf.InString(numero, \")\")  > 0  Then";
if (_sf._vvv4(_numero,")")>0) { 
 //BA.debugLineNum = 547;BA.debugLine="numero = Regex.Replace(\")\", numero, \"\")";
_numero = anywheresoftware.b4a.keywords.Common.Regex.Replace(")",_numero,"");
 };
 //BA.debugLineNum = 549;BA.debugLine="lista = cu.FindContactsByPhone(numero, False, Tru";
_lista = _cu._findcontactsbyphone(_numero,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 551;BA.debugLine="If lista.Size > 0 Then";
if (_lista.getSize()>0) { 
 //BA.debugLineNum = 552;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 }else {
 //BA.debugLineNum = 554;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 557;BA.debugLine="End Sub";
return false;
}
public static void  _getmyrubrica_click() throws Exception{
ResumableSub_GetMyRubrica_Click rsub = new ResumableSub_GetMyRubrica_Click(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_GetMyRubrica_Click extends BA.ResumableSub {
public ResumableSub_GetMyRubrica_Click(b4a.callblocker.main parent) {
this.parent = parent;
}
b4a.callblocker.main parent;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
                return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 151;BA.debugLine="Working = True";
parent._working = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 152;BA.debugLine="Nuovo = False";
parent._nuovo = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 153;BA.debugLine="Button1.Enabled = False";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 154;BA.debugLine="Button2.Enabled = False";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 155;BA.debugLine="Button3.Enabled = False";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 156;BA.debugLine="Button4.Enabled = False";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 157;BA.debugLine="Button5.Enabled = False";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 158;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 159;BA.debugLine="If callblocker.Connesso = True Then";
if (true) break;

case 1:
//if
this.state = 6;
if (parent.mostCurrent._callblocker._connesso==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 3;
}else {
this.state = 5;
}if (true) break;

case 3:
//C
this.state = 6;
 //BA.debugLineNum = 160;BA.debugLine="Label3.Text = \"Internet presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet presente"));
 if (true) break;

case 5:
//C
this.state = 6;
 //BA.debugLineNum = 162;BA.debugLine="Label3.Text = \"Internet non presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet non presente"));
 if (true) break;

case 6:
//C
this.state = 7;
;
 //BA.debugLineNum = 166;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 13;
return;
case 13:
//C
this.state = 7;
;
 //BA.debugLineNum = 167;BA.debugLine="callblocker.GetRubrica = True";
parent.mostCurrent._callblocker._getrubrica = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 169;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 170;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 171;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 172;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 173;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 174;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 175;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 176;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 177;BA.debugLine="If callblocker.Connesso = True Then";
if (true) break;

case 7:
//if
this.state = 12;
if (parent.mostCurrent._callblocker._connesso==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 9;
}else {
this.state = 11;
}if (true) break;

case 9:
//C
this.state = 12;
 //BA.debugLineNum = 178;BA.debugLine="Label3.Text = \"Internet presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet presente"));
 if (true) break;

case 11:
//C
this.state = 12;
 //BA.debugLineNum = 180;BA.debugLine="Label3.Text = \"Internet non presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet non presente"));
 if (true) break;

case 12:
//C
this.state = -1;
;
 //BA.debugLineNum = 183;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static String  _getnumfrombuffer(String _buffer) throws Exception{
int _pos1 = 0;
int _pos2 = 0;
String _st = "";
String[] _temp = null;
int _i = 0;
 //BA.debugLineNum = 350;BA.debugLine="Sub GetNumFromBuffer(buffer As String) As String";
 //BA.debugLineNum = 351;BA.debugLine="Dim pos1 As Int";
_pos1 = 0;
 //BA.debugLineNum = 352;BA.debugLine="Dim pos2 As Int";
_pos2 = 0;
 //BA.debugLineNum = 353;BA.debugLine="Dim st As String";
_st = "";
 //BA.debugLineNum = 354;BA.debugLine="Dim temp() As String";
_temp = new String[(int) (0)];
java.util.Arrays.fill(_temp,"");
 //BA.debugLineNum = 355;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 356;BA.debugLine="pos1 = Instr(buffer, \"<title>\")";
_pos1 = _instr(_buffer,"<title>");
 //BA.debugLineNum = 357;BA.debugLine="pos2 = Instr(buffer, \"</title>\")";
_pos2 = _instr(_buffer,"</title>");
 //BA.debugLineNum = 358;BA.debugLine="st = Mid(buffer, pos1, pos2-pos1+Len(\"</title>\")+";
_st = _mid(_buffer,_pos1,(int) (_pos2-_pos1+_len("</title>")+_len("<title>")-1));
 //BA.debugLineNum = 359;BA.debugLine="st = Regex.Replace(\"<title>\", st, \" \")";
_st = anywheresoftware.b4a.keywords.Common.Regex.Replace("<title>",_st," ");
 //BA.debugLineNum = 360;BA.debugLine="st = Regex.Replace(\"</title>\", st, \" \")";
_st = anywheresoftware.b4a.keywords.Common.Regex.Replace("</title>",_st," ");
 //BA.debugLineNum = 361;BA.debugLine="temp = Regex.Split(\" \", st)";
_temp = anywheresoftware.b4a.keywords.Common.Regex.Split(" ",_st);
 //BA.debugLineNum = 362;BA.debugLine="For i = 0 To temp.Length - 1";
{
final int step12 = 1;
final int limit12 = (int) (_temp.length-1);
_i = (int) (0) ;
for (;(step12 > 0 && _i <= limit12) || (step12 < 0 && _i >= limit12) ;_i = ((int)(0 + _i + step12))  ) {
 //BA.debugLineNum = 363;BA.debugLine="If (IsNumber(Trim(temp(i))) = True)  Then";
if ((anywheresoftware.b4a.keywords.Common.IsNumber(_trim(_temp[_i]))==anywheresoftware.b4a.keywords.Common.True)) { 
 //BA.debugLineNum = 364;BA.debugLine="Return Trim(temp(i))";
if (true) return _trim(_temp[_i]);
 };
 }
};
 //BA.debugLineNum = 368;BA.debugLine="Return \"0\"";
if (true) return "0";
 //BA.debugLineNum = 370;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 39;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 43;BA.debugLine="Private EditText1 As EditText";
mostCurrent._edittext1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 44;BA.debugLine="Private Button1 As Button";
mostCurrent._button1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 45;BA.debugLine="Private Button2 As Button";
mostCurrent._button2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 46;BA.debugLine="Private ListView1 As ListView";
mostCurrent._listview1 = new anywheresoftware.b4a.objects.ListViewWrapper();
 //BA.debugLineNum = 47;BA.debugLine="Private Label1 As Label";
mostCurrent._label1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 48;BA.debugLine="Private Button3 As Button";
mostCurrent._button3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 49;BA.debugLine="Private Label2 As Label";
mostCurrent._label2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 50;BA.debugLine="Private Button4 As Button";
mostCurrent._button4 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 51;BA.debugLine="Private Button5 As Button";
mostCurrent._button5 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 52;BA.debugLine="Private Button6 As Button";
mostCurrent._button6 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 53;BA.debugLine="Private Label3 As Label";
mostCurrent._label3 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 54;BA.debugLine="Private Label4 As Label";
mostCurrent._label4 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 55;BA.debugLine="End Sub";
return "";
}
public static int  _instr(String _text,String _caracter) throws Exception{
 //BA.debugLineNum = 968;BA.debugLine="Sub Instr(Text As String, Caracter As String) As I";
 //BA.debugLineNum = 969;BA.debugLine="Return Text.IndexOf(Caracter)";
if (true) return _text.indexOf(_caracter);
 //BA.debugLineNum = 970;BA.debugLine="End Sub";
return 0;
}
public static int  _instr2(int _rinicio,String _rstring,String _rstringproc) throws Exception{
int _i = 0;
adr.stringfunctions.stringfunctions _str = null;
 //BA.debugLineNum = 260;BA.debugLine="Sub InStr2(rInicio As Int , rString As String , rS";
 //BA.debugLineNum = 261;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 262;BA.debugLine="Dim str As StringFunctions";
_str = new adr.stringfunctions.stringfunctions();
 //BA.debugLineNum = 263;BA.debugLine="Try";
try { //BA.debugLineNum = 264;BA.debugLine="str.Initialize";
_str._initialize(processBA);
 //BA.debugLineNum = 265;BA.debugLine="For i = rInicio To str.len(rString)";
{
final int step5 = 1;
final int limit5 = (int) (_str._vvv7(_rstring));
_i = _rinicio ;
for (;(step5 > 0 && _i <= limit5) || (step5 < 0 && _i >= limit5) ;_i = ((int)(0 + _i + step5))  ) {
 //BA.debugLineNum = 266;BA.debugLine="If (i + Len(rStringProc)) > Len(rString) Then";
if ((_i+_len(_rstringproc))>_len(_rstring)) { 
 //BA.debugLineNum = 267;BA.debugLine="Return -1";
if (true) return (int) (-1);
 };
 //BA.debugLineNum = 269;BA.debugLine="If str.mid(rString,i, str.Len( rStringProc)) = r";
if ((_str._vvvv5(_rstring,_i,(int) (_str._vvv7(_rstringproc)))).equals(_rstringproc)) { 
 //BA.debugLineNum = 270;BA.debugLine="Return i";
if (true) return _i;
 };
 }
};
 //BA.debugLineNum = 275;BA.debugLine="Return 0";
if (true) return (int) (0);
 } 
       catch (Exception e15) {
			processBA.setLastException(e15); //BA.debugLineNum = 278;BA.debugLine="Return -1";
if (true) return (int) (-1);
 };
 //BA.debugLineNum = 282;BA.debugLine="End Sub";
return 0;
}
public static boolean  _istelephonenumber(String _numero) throws Exception{
String _temp = "";
 //BA.debugLineNum = 1133;BA.debugLine="Sub IsTelephoneNumber(Numero As String) As Boolean";
 //BA.debugLineNum = 1134;BA.debugLine="Dim temp As String";
_temp = "";
 //BA.debugLineNum = 1136;BA.debugLine="If Numero.Length < 4 Then Return False";
if (_numero.length()<4) { 
if (true) return anywheresoftware.b4a.keywords.Common.False;};
 //BA.debugLineNum = 1137;BA.debugLine="If Numero = \"\" Then Return False";
if ((_numero).equals("")) { 
if (true) return anywheresoftware.b4a.keywords.Common.False;};
 //BA.debugLineNum = 1138;BA.debugLine="If Numero = Null Then Return False";
if (_numero== null) { 
if (true) return anywheresoftware.b4a.keywords.Common.False;};
 //BA.debugLineNum = 1139;BA.debugLine="If Instr(Numero, \".\") <> -1 Then Return False";
if (_instr(_numero,".")!=-1) { 
if (true) return anywheresoftware.b4a.keywords.Common.False;};
 //BA.debugLineNum = 1140;BA.debugLine="If Instr(Numero, \":\") <> -1 Then Return False";
if (_instr(_numero,":")!=-1) { 
if (true) return anywheresoftware.b4a.keywords.Common.False;};
 //BA.debugLineNum = 1141;BA.debugLine="If Instr(Numero, \",\") <> -1 Then Return False";
if (_instr(_numero,",")!=-1) { 
if (true) return anywheresoftware.b4a.keywords.Common.False;};
 //BA.debugLineNum = 1142;BA.debugLine="If Instr(Numero, \"£\") <> -1 Then Return False";
if (_instr(_numero,"£")!=-1) { 
if (true) return anywheresoftware.b4a.keywords.Common.False;};
 //BA.debugLineNum = 1143;BA.debugLine="If Instr(Numero, \"%\") <> -1 Then Return False";
if (_instr(_numero,"%")!=-1) { 
if (true) return anywheresoftware.b4a.keywords.Common.False;};
 //BA.debugLineNum = 1144;BA.debugLine="If Instr(Numero, \"€\") <> -1 Then Return False";
if (_instr(_numero,"€")!=-1) { 
if (true) return anywheresoftware.b4a.keywords.Common.False;};
 //BA.debugLineNum = 1145;BA.debugLine="If Instr(Numero, \"$\") <> -1 Then Return False";
if (_instr(_numero,"$")!=-1) { 
if (true) return anywheresoftware.b4a.keywords.Common.False;};
 //BA.debugLineNum = 1146;BA.debugLine="If Instr(Numero, \"&\") <> -1 Then Return False";
if (_instr(_numero,"&")!=-1) { 
if (true) return anywheresoftware.b4a.keywords.Common.False;};
 //BA.debugLineNum = 1147;BA.debugLine="If IsNumber(Numero) = True Then Return True";
if (anywheresoftware.b4a.keywords.Common.IsNumber(_numero)==anywheresoftware.b4a.keywords.Common.True) { 
if (true) return anywheresoftware.b4a.keywords.Common.True;};
 //BA.debugLineNum = 1148;BA.debugLine="If IsNumber(Numero) = False Then";
if (anywheresoftware.b4a.keywords.Common.IsNumber(_numero)==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 1149;BA.debugLine="If Instr(Numero,\"-\") >= 0 Then";
if (_instr(_numero,"-")>=0) { 
 //BA.debugLineNum = 1150;BA.debugLine="temp = Numero";
_temp = _numero;
 //BA.debugLineNum = 1151;BA.debugLine="temp = Replace(temp, \"-\", \"\")";
_temp = _replace(_temp,"-","");
 //BA.debugLineNum = 1152;BA.debugLine="If IsNumber(temp) = True Then Return True";
if (anywheresoftware.b4a.keywords.Common.IsNumber(_temp)==anywheresoftware.b4a.keywords.Common.True) { 
if (true) return anywheresoftware.b4a.keywords.Common.True;};
 //BA.debugLineNum = 1153;BA.debugLine="If IsNumber(temp) = False Then Return True";
if (anywheresoftware.b4a.keywords.Common.IsNumber(_temp)==anywheresoftware.b4a.keywords.Common.False) { 
if (true) return anywheresoftware.b4a.keywords.Common.True;};
 };
 //BA.debugLineNum = 1155;BA.debugLine="If Instr(Numero,\"/\") >= 0 Then";
if (_instr(_numero,"/")>=0) { 
 //BA.debugLineNum = 1156;BA.debugLine="temp = Numero";
_temp = _numero;
 //BA.debugLineNum = 1157;BA.debugLine="temp = Replace(temp, \"/\",\"\")";
_temp = _replace(_temp,"/","");
 //BA.debugLineNum = 1158;BA.debugLine="If IsNumber(temp) = True Then Return True";
if (anywheresoftware.b4a.keywords.Common.IsNumber(_temp)==anywheresoftware.b4a.keywords.Common.True) { 
if (true) return anywheresoftware.b4a.keywords.Common.True;};
 //BA.debugLineNum = 1159;BA.debugLine="If IsNumber(temp) = False Then Return True";
if (anywheresoftware.b4a.keywords.Common.IsNumber(_temp)==anywheresoftware.b4a.keywords.Common.False) { 
if (true) return anywheresoftware.b4a.keywords.Common.True;};
 };
 //BA.debugLineNum = 1161;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 1163;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 1165;BA.debugLine="End Sub";
return false;
}
public static String  _jobdone(anywheresoftware.b4a.samples.httputils2.httpjob _objjob) throws Exception{
String _buffer = "";
int _hi = 0;
 //BA.debugLineNum = 208;BA.debugLine="Sub jobdone (objjob As HttpJob)";
 //BA.debugLineNum = 210;BA.debugLine="Dim buffer As String 'Save the response on this v";
_buffer = "";
 //BA.debugLineNum = 211;BA.debugLine="Dim pos As Int";
_pos = 0;
 //BA.debugLineNum = 212;BA.debugLine="Dim hi As Int";
_hi = 0;
 //BA.debugLineNum = 213;BA.debugLine="ValidTellows = -1";
_validtellows = (int) (-1);
 //BA.debugLineNum = 214;BA.debugLine="If objjob.Success Then";
if (_objjob._success) { 
 //BA.debugLineNum = 215;BA.debugLine="buffer = objjob.GetString";
_buffer = _objjob._getstring();
 //BA.debugLineNum = 216;BA.debugLine="buffersav = buffer";
_buffersav = _buffer;
 //BA.debugLineNum = 217;BA.debugLine="ValidTellows = ElaboraTellows(buffer)";
_validtellows = _elaboratellows(_buffer);
 }else {
 //BA.debugLineNum = 219;BA.debugLine="ValidTellows = -2";
_validtellows = (int) (-2);
 };
 //BA.debugLineNum = 222;BA.debugLine="End Sub";
return "";
}
public static String  _lcase(String _text) throws Exception{
 //BA.debugLineNum = 960;BA.debugLine="Sub Lcase(Text As String) As String";
 //BA.debugLineNum = 961;BA.debugLine="Return Text.ToLowerCase";
if (true) return _text.toLowerCase();
 //BA.debugLineNum = 962;BA.debugLine="End Sub";
return "";
}
public static String  _left(String _text,int _length) throws Exception{
 //BA.debugLineNum = 934;BA.debugLine="Sub Left(Text As String, Length As Int)As String";
 //BA.debugLineNum = 935;BA.debugLine="If Length>Text.Length Then Length=Text.Length";
if (_length>_text.length()) { 
_length = _text.length();};
 //BA.debugLineNum = 936;BA.debugLine="Return Text.SubString2(0, Length)";
if (true) return _text.substring((int) (0),_length);
 //BA.debugLineNum = 937;BA.debugLine="End Sub";
return "";
}
public static int  _len(String _text) throws Exception{
 //BA.debugLineNum = 952;BA.debugLine="Sub Len(Text As String) As Int";
 //BA.debugLineNum = 953;BA.debugLine="Return Text.Length";
if (true) return _text.length();
 //BA.debugLineNum = 954;BA.debugLine="End Sub";
return 0;
}
public static String  _listview1_itemclick(int _position,Object _value) throws Exception{
 //BA.debugLineNum = 971;BA.debugLine="Sub ListView1_ItemClick (Position As Int, Value As";
 //BA.debugLineNum = 973;BA.debugLine="End Sub";
return "";
}
public static String  _listview1_itemlongclick(int _position,Object _value) throws Exception{
 //BA.debugLineNum = 1030;BA.debugLine="Sub ListView1_ItemLongClick (Position As Int, Valu";
 //BA.debugLineNum = 1031;BA.debugLine="Label1.Text = ListView1.GetItem(Position)";
mostCurrent._label1.setText(BA.ObjectToCharSequence(mostCurrent._listview1.GetItem(_position)));
 //BA.debugLineNum = 1032;BA.debugLine="ListView1.SetSelection(Position)";
mostCurrent._listview1.SetSelection(_position);
 //BA.debugLineNum = 1033;BA.debugLine="Label2.Text = Position";
mostCurrent._label2.setText(BA.ObjectToCharSequence(_position));
 //BA.debugLineNum = 1034;BA.debugLine="pos = Position";
_pos = _position;
 //BA.debugLineNum = 1036;BA.debugLine="End Sub";
return "";
}
public static String  _mid(String _text,int _start,int _length) throws Exception{
 //BA.debugLineNum = 944;BA.debugLine="Sub Mid(Text As String, Start As Int, Length As In";
 //BA.debugLineNum = 945;BA.debugLine="Return Text.SubString2(Start-1,Start+Length-1)";
if (true) return _text.substring((int) (_start-1),(int) (_start+_length-1));
 //BA.debugLineNum = 946;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        anywheresoftware.b4a.samples.httputils2.httputils2service._process_globals();
main._process_globals();
callblocker._process_globals();
frmcallslog._process_globals();
funzioni._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 19;BA.debugLine="Dim pws As PhoneWakeState";
_pws = new anywheresoftware.b4a.phone.Phone.PhoneWakeState();
 //BA.debugLineNum = 20;BA.debugLine="Dim pos As Int";
_pos = 0;
 //BA.debugLineNum = 22;BA.debugLine="Dim Nuovo As Boolean";
_nuovo = false;
 //BA.debugLineNum = 24;BA.debugLine="Dim Calls As List";
_calls = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 26;BA.debugLine="Dim CallLog As CallLog";
_calllog = new anywheresoftware.b4a.phone.CallLogWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim c As CallItem";
_c = new anywheresoftware.b4a.phone.CallLogWrapper.CallItem();
 //BA.debugLineNum = 29;BA.debugLine="Dim ValidTellows As Int";
_validtellows = 0;
 //BA.debugLineNum = 30;BA.debugLine="Dim Working As Boolean";
_working = false;
 //BA.debugLineNum = 31;BA.debugLine="Dim job As HttpJob";
_job = new anywheresoftware.b4a.samples.httputils2.httpjob();
 //BA.debugLineNum = 32;BA.debugLine="Dim buffersav As String";
_buffersav = "";
 //BA.debugLineNum = 37;BA.debugLine="End Sub";
return "";
}
public static String  _replace(String _text,String _str1,String _str2) throws Exception{
 //BA.debugLineNum = 956;BA.debugLine="Sub Replace(Text As String, Str1 As String, Str2 A";
 //BA.debugLineNum = 957;BA.debugLine="Return Text.Replace(Str1, Str2)";
if (true) return _text.replace(_str1,_str2);
 //BA.debugLineNum = 958;BA.debugLine="End Sub";
return "";
}
public static void  _restartservice_click() throws Exception{
ResumableSub_RestartService_Click rsub = new ResumableSub_RestartService_Click(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_RestartService_Click extends BA.ResumableSub {
public ResumableSub_RestartService_Click(b4a.callblocker.main parent) {
this.parent = parent;
}
b4a.callblocker.main parent;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
                return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 115;BA.debugLine="Working = True";
parent._working = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 116;BA.debugLine="Nuovo = False";
parent._nuovo = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 117;BA.debugLine="Button1.Enabled = False";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 118;BA.debugLine="Button2.Enabled = False";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 119;BA.debugLine="Button3.Enabled = False";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 120;BA.debugLine="Button4.Enabled = False";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 121;BA.debugLine="Button5.Enabled = False";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 122;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 123;BA.debugLine="If callblocker.Connesso = True Then";
if (true) break;

case 1:
//if
this.state = 6;
if (parent.mostCurrent._callblocker._connesso==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 3;
}else {
this.state = 5;
}if (true) break;

case 3:
//C
this.state = 6;
 //BA.debugLineNum = 124;BA.debugLine="Label3.Text = \"Internet presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet presente"));
 if (true) break;

case 5:
//C
this.state = 6;
 //BA.debugLineNum = 126;BA.debugLine="Label3.Text = \"Internet non presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet non presente"));
 if (true) break;

case 6:
//C
this.state = 7;
;
 //BA.debugLineNum = 130;BA.debugLine="Sleep(3000)";
anywheresoftware.b4a.keywords.Common.Sleep(mostCurrent.activityBA,this,(int) (3000));
this.state = 13;
return;
case 13:
//C
this.state = 7;
;
 //BA.debugLineNum = 133;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 134;BA.debugLine="CaricaLista";
_caricalista();
 //BA.debugLineNum = 135;BA.debugLine="Button1.Enabled = True";
parent.mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 136;BA.debugLine="Button2.Enabled = True";
parent.mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 137;BA.debugLine="Button3.Enabled = True";
parent.mostCurrent._button3.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 138;BA.debugLine="Button4.Enabled = True";
parent.mostCurrent._button4.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 139;BA.debugLine="Button5.Enabled = True";
parent.mostCurrent._button5.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 140;BA.debugLine="Working = False";
parent._working = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 141;BA.debugLine="If callblocker.Connesso = True Then";
if (true) break;

case 7:
//if
this.state = 12;
if (parent.mostCurrent._callblocker._connesso==anywheresoftware.b4a.keywords.Common.True) { 
this.state = 9;
}else {
this.state = 11;
}if (true) break;

case 9:
//C
this.state = 12;
 //BA.debugLineNum = 142;BA.debugLine="Label3.Text = \"Internet presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet presente"));
 if (true) break;

case 11:
//C
this.state = 12;
 //BA.debugLineNum = 144;BA.debugLine="Label3.Text = \"Internet non presente\"";
parent.mostCurrent._label3.setText(BA.ObjectToCharSequence("Internet non presente"));
 if (true) break;

case 12:
//C
this.state = -1;
;
 //BA.debugLineNum = 148;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static String  _right(String _text,int _length) throws Exception{
 //BA.debugLineNum = 939;BA.debugLine="Sub Right(Text As String, Length As Int) As String";
 //BA.debugLineNum = 940;BA.debugLine="If Length>Text.Length Then Length=Text.Length";
if (_length>_text.length()) { 
_length = _text.length();};
 //BA.debugLineNum = 941;BA.debugLine="Return Text.SubString(Text.Length-Length)";
if (true) return _text.substring((int) (_text.length()-_length));
 //BA.debugLineNum = 942;BA.debugLine="End Sub";
return "";
}
public static String[]  _split(String _text,String _delimiter) throws Exception{
 //BA.debugLineNum = 948;BA.debugLine="Sub Split(Text As String, Delimiter As String) As";
 //BA.debugLineNum = 949;BA.debugLine="Return Regex.Split(Delimiter,Text)";
if (true) return anywheresoftware.b4a.keywords.Common.Regex.Split(_delimiter,_text);
 //BA.debugLineNum = 950;BA.debugLine="End Sub";
return null;
}
public static String  _trim(String _s) throws Exception{
anywheresoftware.b4a.objects.collections.List _lst = null;
String _retval = "";
int _i = 0;
 //BA.debugLineNum = 399;BA.debugLine="Sub Trim(s As String )  As String";
 //BA.debugLineNum = 400;BA.debugLine="Dim lst As List";
_lst = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 401;BA.debugLine="Dim retval As String";
_retval = "";
 //BA.debugLineNum = 402;BA.debugLine="lst.Initialize";
_lst.Initialize();
 //BA.debugLineNum = 405;BA.debugLine="For i = 1 To Len(s)";
{
final int step4 = 1;
final int limit4 = _len(_s);
_i = (int) (1) ;
for (;(step4 > 0 && _i <= limit4) || (step4 < 0 && _i >= limit4) ;_i = ((int)(0 + _i + step4))  ) {
 //BA.debugLineNum = 406;BA.debugLine="lst.Add(Mid(s,i,1))";
_lst.Add((Object)(_mid(_s,_i,(int) (1))));
 }
};
 //BA.debugLineNum = 410;BA.debugLine="For i = 0 To lst.Size - 1";
{
final int step7 = 1;
final int limit7 = (int) (_lst.getSize()-1);
_i = (int) (0) ;
for (;(step7 > 0 && _i <= limit7) || (step7 < 0 && _i >= limit7) ;_i = ((int)(0 + _i + step7))  ) {
 //BA.debugLineNum = 411;BA.debugLine="If lst.Get(i) = \" \" Then";
if ((_lst.Get(_i)).equals((Object)(" "))) { 
 //BA.debugLineNum = 412;BA.debugLine="lst.Set(i, \"\")";
_lst.Set(_i,(Object)(""));
 }else {
 //BA.debugLineNum = 414;BA.debugLine="Exit";
if (true) break;
 };
 }
};
 //BA.debugLineNum = 418;BA.debugLine="For i = lst.Size - 1 To 0 Step -1";
{
final int step14 = (int) (-1);
final int limit14 = (int) (0);
_i = (int) (_lst.getSize()-1) ;
for (;(step14 > 0 && _i <= limit14) || (step14 < 0 && _i >= limit14) ;_i = ((int)(0 + _i + step14))  ) {
 //BA.debugLineNum = 419;BA.debugLine="If lst.Get(i) = \" \" Then";
if ((_lst.Get(_i)).equals((Object)(" "))) { 
 //BA.debugLineNum = 420;BA.debugLine="lst.Set(i, \"\")";
_lst.Set(_i,(Object)(""));
 }else {
 //BA.debugLineNum = 422;BA.debugLine="Exit";
if (true) break;
 };
 }
};
 //BA.debugLineNum = 426;BA.debugLine="retval = \"\"";
_retval = "";
 //BA.debugLineNum = 427;BA.debugLine="For i = 0 To lst.Size -1";
{
final int step22 = 1;
final int limit22 = (int) (_lst.getSize()-1);
_i = (int) (0) ;
for (;(step22 > 0 && _i <= limit22) || (step22 < 0 && _i >= limit22) ;_i = ((int)(0 + _i + step22))  ) {
 //BA.debugLineNum = 428;BA.debugLine="retval = retval & lst.Get(i)";
_retval = _retval+BA.ObjectToString(_lst.Get(_i));
 }
};
 //BA.debugLineNum = 430;BA.debugLine="lst.Clear";
_lst.Clear();
 //BA.debugLineNum = 431;BA.debugLine="Return retval";
if (true) return _retval;
 //BA.debugLineNum = 432;BA.debugLine="End Sub";
return "";
}
public static String  _ucase(String _text) throws Exception{
 //BA.debugLineNum = 964;BA.debugLine="Sub Ucase(Text As String) As String";
 //BA.debugLineNum = 965;BA.debugLine="Return Text.ToUpperCase";
if (true) return _text.toUpperCase();
 //BA.debugLineNum = 966;BA.debugLine="End Sub";
return "";
}
}
