package b4a.callblocker;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class frmcallslog extends Activity implements B4AActivity{
	public static frmcallslog mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.callblocker", "b4a.callblocker.frmcallslog");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (frmcallslog).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, true))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.callblocker", "b4a.callblocker.frmcallslog");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.callblocker.frmcallslog", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (frmcallslog) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (frmcallslog) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return frmcallslog.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (frmcallslog) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (frmcallslog) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public static b4a.callblocker.contactsutils _cu = null;
public static anywheresoftware.b4a.phone.Phone.PhoneWakeState _pws = null;
public anywheresoftware.b4a.objects.ListViewWrapper _listview1 = null;
public anywheresoftware.b4a.objects.ListViewWrapper _listview2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button3 = null;
public anywheresoftware.b4a.samples.httputils2.httputils2service _httputils2service = null;
public b4a.callblocker.main _main = null;
public b4a.callblocker.callblocker _callblocker = null;
public b4a.callblocker.funzioni _funzioni = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 24;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 27;BA.debugLine="Activity.LoadLayout(\"frmcallslog\")";
mostCurrent._activity.LoadLayout("frmcallslog",mostCurrent.activityBA);
 //BA.debugLineNum = 28;BA.debugLine="Activity.Title = \"Call Blocker\"";
mostCurrent._activity.setTitle(BA.ObjectToCharSequence("Call Blocker"));
 //BA.debugLineNum = 29;BA.debugLine="pws.PartialLock";
_pws.PartialLock(processBA);
 //BA.debugLineNum = 30;BA.debugLine="cu.Initialize";
_cu._initialize(processBA);
 //BA.debugLineNum = 32;BA.debugLine="ListView1.Initialize(\"ListView1\")";
mostCurrent._listview1.Initialize(mostCurrent.activityBA,"ListView1");
 //BA.debugLineNum = 33;BA.debugLine="ListView2.Initialize(\"ListView2\")";
mostCurrent._listview2.Initialize(mostCurrent.activityBA,"ListView2");
 //BA.debugLineNum = 34;BA.debugLine="Activity.AddView(ListView1, 10, 10, 100%x, 45%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._listview1.getObject()),(int) (10),(int) (10),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (45),mostCurrent.activityBA));
 //BA.debugLineNum = 35;BA.debugLine="Activity.AddView(ListView2, 10, ListView1.Height";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._listview2.getObject()),(int) (10),(int) (mostCurrent._listview1.getHeight()+100),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (45),mostCurrent.activityBA));
 //BA.debugLineNum = 37;BA.debugLine="ListView1.SingleLineLayout.Label.TextSize = 10dip";
mostCurrent._listview1.getSingleLineLayout().Label.setTextSize((float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10))));
 //BA.debugLineNum = 38;BA.debugLine="ListView1.FastScrollEnabled = True";
mostCurrent._listview1.setFastScrollEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 39;BA.debugLine="ListView1.SingleLineLayout.ItemHeight = 60dip";
mostCurrent._listview1.getSingleLineLayout().setItemHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (60)));
 //BA.debugLineNum = 40;BA.debugLine="ListView1.SingleLineLayout.Label.TextColor = C";
mostCurrent._listview1.getSingleLineLayout().Label.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 42;BA.debugLine="ListView2.SingleLineLayout.Label.TextSize = 12dip";
mostCurrent._listview2.getSingleLineLayout().Label.setTextSize((float) (anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (12))));
 //BA.debugLineNum = 43;BA.debugLine="ListView2.FastScrollEnabled = True";
mostCurrent._listview2.setFastScrollEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 44;BA.debugLine="ListView2.SingleLineLayout.ItemHeight = 60dip";
mostCurrent._listview2.getSingleLineLayout().setItemHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (60)));
 //BA.debugLineNum = 45;BA.debugLine="ListView2.SingleLineLayout.Label.TextColor = C";
mostCurrent._listview2.getSingleLineLayout().Label.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 46;BA.debugLine="Button3.Left = 10";
mostCurrent._button3.setLeft((int) (10));
 //BA.debugLineNum = 48;BA.debugLine="Button1.Left = (Activity.Width - 10) - Button1.Wi";
mostCurrent._button1.setLeft((int) ((mostCurrent._activity.getWidth()-10)-mostCurrent._button1.getWidth()));
 //BA.debugLineNum = 49;BA.debugLine="Button2.Left = (Activity.Width / 2) - (Button2.Wi";
mostCurrent._button2.setLeft((int) ((mostCurrent._activity.getWidth()/(double)2)-(mostCurrent._button2.getWidth()/(double)2)));
 //BA.debugLineNum = 52;BA.debugLine="carica";
_carica();
 //BA.debugLineNum = 53;BA.debugLine="ListView2.Clear";
mostCurrent._listview2.Clear();
 //BA.debugLineNum = 57;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 219;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 220;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 //BA.debugLineNum = 221;BA.debugLine="pws.ReleasePartialLock";
_pws.ReleasePartialLock();
 //BA.debugLineNum = 222;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 223;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 225;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 226;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 91;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 93;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 59;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 61;BA.debugLine="End Sub";
return "";
}
public static String  _button1_click() throws Exception{
int _i = 0;
String _number = "";
int _retval = 0;
anywheresoftware.b4a.objects.collections.List _lista = null;
anywheresoftware.b4a.objects.streams.File.TextWriterWrapper _tw = null;
boolean _filedamodificare = false;
 //BA.debugLineNum = 265;BA.debugLine="Sub Button1_Click";
 //BA.debugLineNum = 266;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 267;BA.debugLine="Dim number As String";
_number = "";
 //BA.debugLineNum = 268;BA.debugLine="Dim retval As Int";
_retval = 0;
 //BA.debugLineNum = 269;BA.debugLine="Dim lista As List";
_lista = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 270;BA.debugLine="Dim tw As TextWriter";
_tw = new anywheresoftware.b4a.objects.streams.File.TextWriterWrapper();
 //BA.debugLineNum = 271;BA.debugLine="Dim filedamodificare As Boolean";
_filedamodificare = false;
 //BA.debugLineNum = 273;BA.debugLine="If ListView2.Size = 0 Then Return";
if (mostCurrent._listview2.getSize()==0) { 
if (true) return "";};
 //BA.debugLineNum = 274;BA.debugLine="lista.Initialize";
_lista.Initialize();
 //BA.debugLineNum = 275;BA.debugLine="lista = CaricaBlackList";
_lista = _caricablacklist();
 //BA.debugLineNum = 276;BA.debugLine="If lista.Size = 0 Then Return";
if (_lista.getSize()==0) { 
if (true) return "";};
 //BA.debugLineNum = 277;BA.debugLine="filedamodificare = False";
_filedamodificare = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 279;BA.debugLine="For i = 0 To ListView2.Size - 1";
{
final int step12 = 1;
final int limit12 = (int) (mostCurrent._listview2.getSize()-1);
_i = (int) (0) ;
for (;(step12 > 0 && _i <= limit12) || (step12 < 0 && _i >= limit12) ;_i = ((int)(0 + _i + step12))  ) {
 //BA.debugLineNum = 280;BA.debugLine="number = ListView2.GetItem(i)";
_number = BA.ObjectToString(mostCurrent._listview2.GetItem(_i));
 //BA.debugLineNum = 281;BA.debugLine="retval = Esiste(number)";
_retval = _esiste(_number);
 //BA.debugLineNum = 282;BA.debugLine="If retval = 0 Then";
if (_retval==0) { 
 //BA.debugLineNum = 283;BA.debugLine="lista.Add(number)";
_lista.Add((Object)(_number));
 //BA.debugLineNum = 284;BA.debugLine="filedamodificare = True";
_filedamodificare = anywheresoftware.b4a.keywords.Common.True;
 };
 }
};
 //BA.debugLineNum = 288;BA.debugLine="If lista.IsInitialized = True And lista.Size > 0";
if (_lista.IsInitialized()==anywheresoftware.b4a.keywords.Common.True && _lista.getSize()>0) { 
 //BA.debugLineNum = 289;BA.debugLine="If filedamodificare = True Then";
if (_filedamodificare==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 290;BA.debugLine="tw.Initialize(File.OpenOutput(File.DirRootExter";
_tw.Initialize((java.io.OutputStream)(anywheresoftware.b4a.keywords.Common.File.OpenOutput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt",anywheresoftware.b4a.keywords.Common.False).getObject()));
 //BA.debugLineNum = 291;BA.debugLine="tw.WriteList(lista)";
_tw.WriteList(_lista);
 //BA.debugLineNum = 292;BA.debugLine="tw.Close";
_tw.Close();
 //BA.debugLineNum = 293;BA.debugLine="StopService(callblocker)";
anywheresoftware.b4a.keywords.Common.StopService(processBA,(Object)(mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 294;BA.debugLine="Dormi(3000)";
_dormi((long) (3000));
 //BA.debugLineNum = 295;BA.debugLine="StartService(callblocker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(mostCurrent._callblocker.getObject()));
 //BA.debugLineNum = 296;BA.debugLine="carica";
_carica();
 //BA.debugLineNum = 297;BA.debugLine="ListView2.Clear";
mostCurrent._listview2.Clear();
 //BA.debugLineNum = 298;BA.debugLine="Return";
if (true) return "";
 }else {
 //BA.debugLineNum = 300;BA.debugLine="Return";
if (true) return "";
 };
 }else {
 //BA.debugLineNum = 303;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 306;BA.debugLine="End Sub";
return "";
}
public static String  _button2_click() throws Exception{
 //BA.debugLineNum = 326;BA.debugLine="Sub Button2_Click";
 //BA.debugLineNum = 327;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 328;BA.debugLine="StartActivity(\"Main\")";
anywheresoftware.b4a.keywords.Common.StartActivity(processBA,(Object)("Main"));
 //BA.debugLineNum = 330;BA.debugLine="End Sub";
return "";
}
public static String  _button3_click() throws Exception{
 //BA.debugLineNum = 331;BA.debugLine="Sub Button3_Click";
 //BA.debugLineNum = 332;BA.debugLine="ListView1.Clear";
mostCurrent._listview1.Clear();
 //BA.debugLineNum = 333;BA.debugLine="Dormi(50)";
_dormi((long) (50));
 //BA.debugLineNum = 334;BA.debugLine="carica";
_carica();
 //BA.debugLineNum = 335;BA.debugLine="ListView2.Clear";
mostCurrent._listview2.Clear();
 //BA.debugLineNum = 336;BA.debugLine="End Sub";
return "";
}
public static String  _carica() throws Exception{
anywheresoftware.b4a.objects.collections.List _calls = null;
anywheresoftware.b4a.phone.CallLogWrapper _calllog = null;
anywheresoftware.b4a.phone.CallLogWrapper.CallItem _c = null;
String _calltype = "";
String _name = "";
b4a.callblocker.contactsutils._cucontact _cont = null;
anywheresoftware.b4a.objects.collections.List _lst = null;
int _i = 0;
 //BA.debugLineNum = 94;BA.debugLine="Sub carica";
 //BA.debugLineNum = 95;BA.debugLine="Dim Calls As List";
_calls = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 96;BA.debugLine="Dim CallLog As CallLog";
_calllog = new anywheresoftware.b4a.phone.CallLogWrapper();
 //BA.debugLineNum = 97;BA.debugLine="Dim c As CallItem";
_c = new anywheresoftware.b4a.phone.CallLogWrapper.CallItem();
 //BA.debugLineNum = 98;BA.debugLine="Dim callType, name As String";
_calltype = "";
_name = "";
 //BA.debugLineNum = 99;BA.debugLine="Dim cont As cuContact";
_cont = new b4a.callblocker.contactsutils._cucontact();
 //BA.debugLineNum = 100;BA.debugLine="Dim lst As List";
_lst = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 103;BA.debugLine="ListView1.Clear";
mostCurrent._listview1.Clear();
 //BA.debugLineNum = 104;BA.debugLine="Dormi(50)";
_dormi((long) (50));
 //BA.debugLineNum = 105;BA.debugLine="Calls.Initialize";
_calls.Initialize();
 //BA.debugLineNum = 106;BA.debugLine="Calls.Clear";
_calls.Clear();
 //BA.debugLineNum = 107;BA.debugLine="Calls = CallLog.GetAll(0)";
_calls = _calllog.GetAll((int) (0));
 //BA.debugLineNum = 109;BA.debugLine="For i = 0 To Calls.Size - 1";
{
final int step12 = 1;
final int limit12 = (int) (_calls.getSize()-1);
_i = (int) (0) ;
for (;(step12 > 0 && _i <= limit12) || (step12 < 0 && _i >= limit12) ;_i = ((int)(0 + _i + step12))  ) {
 //BA.debugLineNum = 110;BA.debugLine="c = Calls.Get(i)";
_c = (anywheresoftware.b4a.phone.CallLogWrapper.CallItem)(_calls.Get(_i));
 //BA.debugLineNum = 112;BA.debugLine="Select c.callType";
switch (BA.switchObjectToInt(_c.CallType,_c.TYPE_INCOMING,_c.TYPE_MISSED,_c.TYPE_OUTGOING)) {
case 0: {
 //BA.debugLineNum = 114;BA.debugLine="callType=\"Incoming\"";
_calltype = "Incoming";
 break; }
case 1: {
 //BA.debugLineNum = 116;BA.debugLine="callType = \"Missed\"";
_calltype = "Missed";
 break; }
case 2: {
 //BA.debugLineNum = 118;BA.debugLine="callType = \"Outgoing\"";
_calltype = "Outgoing";
 break; }
}
;
 //BA.debugLineNum = 121;BA.debugLine="name = c.CachedName";
_name = _c.CachedName;
 //BA.debugLineNum = 122;BA.debugLine="If name = \"\" Or name = Null Then";
if ((_name).equals("") || _name== null) { 
 //BA.debugLineNum = 123;BA.debugLine="lst = cu.FindContactsByPhone(c.Number, False, Tr";
_lst = _cu._findcontactsbyphone(_c.Number,anywheresoftware.b4a.keywords.Common.False,anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 124;BA.debugLine="If lst.IsInitialized = True And lst.Size > 0 The";
if (_lst.IsInitialized()==anywheresoftware.b4a.keywords.Common.True && _lst.getSize()>0) { 
 //BA.debugLineNum = 125;BA.debugLine="cont  = lst.Get(0)";
_cont = (b4a.callblocker.contactsutils._cucontact)(_lst.Get((int) (0)));
 //BA.debugLineNum = 126;BA.debugLine="If cont.IsInitialized = True Then";
if (_cont.IsInitialized==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 127;BA.debugLine="name = cont.DisplayName";
_name = _cont.DisplayName;
 }else {
 //BA.debugLineNum = 129;BA.debugLine="name = Null";
_name = BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Null);
 };
 }else {
 //BA.debugLineNum = 132;BA.debugLine="name = Null";
_name = BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Null);
 };
 };
 //BA.debugLineNum = 135;BA.debugLine="If name = Null Then name = \"N/A\"";
if (_name== null) { 
_name = "N/A";};
 //BA.debugLineNum = 136;BA.debugLine="If name = \"\" Then name = \"N/A\"";
if ((_name).equals("")) { 
_name = "N/A";};
 //BA.debugLineNum = 137;BA.debugLine="If name = \"null\" Then name = \"N/A\"";
if ((_name).equals("null")) { 
_name = "N/A";};
 //BA.debugLineNum = 138;BA.debugLine="ListView1.AddSingleLine(\"Number=\" & c.Number & \"";
mostCurrent._listview1.AddSingleLine(BA.ObjectToCharSequence("Number="+_c.Number+", Name="+_name+", Type="+_calltype+", Date="+anywheresoftware.b4a.keywords.Common.DateTime.Date(_c.Date)));
 }
};
 //BA.debugLineNum = 141;BA.debugLine="End Sub";
return "";
}
public static anywheresoftware.b4a.objects.collections.List  _caricablacklist() throws Exception{
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr = null;
anywheresoftware.b4a.objects.collections.List _lista = null;
 //BA.debugLineNum = 206;BA.debugLine="Sub CaricaBlackList() As List";
 //BA.debugLineNum = 207;BA.debugLine="Dim tr As TextReader";
_tr = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 208;BA.debugLine="Dim lista As List";
_lista = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 209;BA.debugLine="If File.Exists(File.DirRootExternal, \"banned.txt\")";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt")==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 210;BA.debugLine="Return Null";
if (true) return (anywheresoftware.b4a.objects.collections.List) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.collections.List(), (java.util.List)(anywheresoftware.b4a.keywords.Common.Null));
 };
 //BA.debugLineNum = 212;BA.debugLine="tr.Initialize(File.OpenInput(File.DirRootExternal,";
_tr.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt").getObject()));
 //BA.debugLineNum = 213;BA.debugLine="lista = tr.ReadList";
_lista = _tr.ReadList();
 //BA.debugLineNum = 214;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 215;BA.debugLine="Return lista";
if (true) return _lista;
 //BA.debugLineNum = 217;BA.debugLine="End Sub";
return null;
}
public static String  _dormi(long _ms) throws Exception{
long _now = 0L;
 //BA.debugLineNum = 308;BA.debugLine="Sub Dormi(ms As Long)";
 //BA.debugLineNum = 309;BA.debugLine="Dim now As Long";
_now = 0L;
 //BA.debugLineNum = 310;BA.debugLine="If ms > 1000 Then ms =1000 'avoid application no";
if (_ms>1000) { 
_ms = (long) (1000);};
 //BA.debugLineNum = 311;BA.debugLine="now=DateTime.now";
_now = anywheresoftware.b4a.keywords.Common.DateTime.getNow();
 //BA.debugLineNum = 312;BA.debugLine="Do Until (DateTime.now>now+ms)";
while (!((anywheresoftware.b4a.keywords.Common.DateTime.getNow()>_now+_ms))) {
 //BA.debugLineNum = 313;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 }
;
 //BA.debugLineNum = 315;BA.debugLine="End Sub";
return "";
}
public static int  _esiste(String _numero) throws Exception{
anywheresoftware.b4a.objects.streams.File.TextReaderWrapper _tr = null;
anywheresoftware.b4a.objects.collections.List _lista = null;
int _i = 0;
 //BA.debugLineNum = 181;BA.debugLine="Sub Esiste(numero As String) As Int";
 //BA.debugLineNum = 182;BA.debugLine="Dim tr As TextReader";
_tr = new anywheresoftware.b4a.objects.streams.File.TextReaderWrapper();
 //BA.debugLineNum = 183;BA.debugLine="Dim lista As List";
_lista = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 184;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 185;BA.debugLine="If File.Exists(File.DirRootExternal, \"banned.txt\")";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt")==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 186;BA.debugLine="Return -2";
if (true) return (int) (-2);
 };
 //BA.debugLineNum = 188;BA.debugLine="tr.Initialize(File.OpenInput(File.DirRootExternal,";
_tr.Initialize((java.io.InputStream)(anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),"banned.txt").getObject()));
 //BA.debugLineNum = 189;BA.debugLine="lista = tr.ReadList";
_lista = _tr.ReadList();
 //BA.debugLineNum = 190;BA.debugLine="If lista.IsInitialized = True Then";
if (_lista.IsInitialized()==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 191;BA.debugLine="For i = 0 To lista.Size - 1";
{
final int step10 = 1;
final int limit10 = (int) (_lista.getSize()-1);
_i = (int) (0) ;
for (;(step10 > 0 && _i <= limit10) || (step10 < 0 && _i >= limit10) ;_i = ((int)(0 + _i + step10))  ) {
 //BA.debugLineNum = 192;BA.debugLine="If lista.Get(i) = numero Then";
if ((_lista.Get(_i)).equals((Object)(_numero))) { 
 //BA.debugLineNum = 193;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 194;BA.debugLine="lista.Clear";
_lista.Clear();
 //BA.debugLineNum = 195;BA.debugLine="Return 1";
if (true) return (int) (1);
 };
 }
};
 //BA.debugLineNum = 198;BA.debugLine="Return 0";
if (true) return (int) (0);
 }else {
 //BA.debugLineNum = 200;BA.debugLine="tr.Close";
_tr.Close();
 //BA.debugLineNum = 201;BA.debugLine="lista.Clear";
_lista.Clear();
 //BA.debugLineNum = 202;BA.debugLine="Return -1";
if (true) return (int) (-1);
 };
 //BA.debugLineNum = 204;BA.debugLine="End Sub";
return 0;
}
public static String  _findcontact(String _numerotelefono) throws Exception{
anywheresoftware.b4a.phone.ContactsWrapper _contacts1 = null;
anywheresoftware.b4a.phone.ContactsWrapper.Contact _mycontact = null;
anywheresoftware.b4a.objects.collections.List _listofcontacts = null;
int _i = 0;
int _j = 0;
anywheresoftware.b4a.objects.collections.Map _map1 = null;
String _num = "";
 //BA.debugLineNum = 63;BA.debugLine="Sub FindContact(NumeroTelefono As String) As Strin";
 //BA.debugLineNum = 64;BA.debugLine="Dim Contacts1 As Contacts";
_contacts1 = new anywheresoftware.b4a.phone.ContactsWrapper();
 //BA.debugLineNum = 65;BA.debugLine="Dim myContact As Contact";
_mycontact = new anywheresoftware.b4a.phone.ContactsWrapper.Contact();
 //BA.debugLineNum = 66;BA.debugLine="Dim listOfContacts As List";
_listofcontacts = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 67;BA.debugLine="Dim i,j As Int";
_i = 0;
_j = 0;
 //BA.debugLineNum = 68;BA.debugLine="Dim map1 As Map";
_map1 = new anywheresoftware.b4a.objects.collections.Map();
 //BA.debugLineNum = 69;BA.debugLine="Dim num As String";
_num = "";
 //BA.debugLineNum = 71;BA.debugLine="listOfContacts = Contacts1.GetAll";
_listofcontacts = _contacts1.GetAll();
 //BA.debugLineNum = 74;BA.debugLine="For i = 0 To listOfContacts.Size - 1";
{
final int step8 = 1;
final int limit8 = (int) (_listofcontacts.getSize()-1);
_i = (int) (0) ;
for (;(step8 > 0 && _i <= limit8) || (step8 < 0 && _i >= limit8) ;_i = ((int)(0 + _i + step8))  ) {
 //BA.debugLineNum = 75;BA.debugLine="myContact = listOfContacts.Get(i)";
_mycontact = (anywheresoftware.b4a.phone.ContactsWrapper.Contact)(_listofcontacts.Get(_i));
 //BA.debugLineNum = 76;BA.debugLine="map1 = myContact.GetPhones";
_map1 = _mycontact.GetPhones();
 //BA.debugLineNum = 77;BA.debugLine="For j = 0 To map1.Size - 1";
{
final int step11 = 1;
final int limit11 = (int) (_map1.getSize()-1);
_j = (int) (0) ;
for (;(step11 > 0 && _j <= limit11) || (step11 < 0 && _j >= limit11) ;_j = ((int)(0 + _j + step11))  ) {
 //BA.debugLineNum = 78;BA.debugLine="num = map1.GetKeyAt(j)";
_num = BA.ObjectToString(_map1.GetKeyAt(_j));
 //BA.debugLineNum = 79;BA.debugLine="num = Replace(num, \" \",\"\")";
_num = _replace(_num," ","");
 //BA.debugLineNum = 80;BA.debugLine="If Instr(num, NumeroTelefono) <> - 1 Then";
if (_instr(_num,_numerotelefono)!=-1) { 
 //BA.debugLineNum = 81;BA.debugLine="Return myContact.DisplayName";
if (true) return _mycontact.DisplayName;
 };
 //BA.debugLineNum = 83;BA.debugLine="Dormi(2)";
_dormi((long) (2));
 }
};
 //BA.debugLineNum = 85;BA.debugLine="Dormi(2)";
_dormi((long) (2));
 }
};
 //BA.debugLineNum = 87;BA.debugLine="Return Null";
if (true) return BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Null);
 //BA.debugLineNum = 88;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 13;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 17;BA.debugLine="Private ListView1 As ListView";
mostCurrent._listview1 = new anywheresoftware.b4a.objects.ListViewWrapper();
 //BA.debugLineNum = 18;BA.debugLine="Private ListView2 As ListView";
mostCurrent._listview2 = new anywheresoftware.b4a.objects.ListViewWrapper();
 //BA.debugLineNum = 19;BA.debugLine="Private Button1 As Button";
mostCurrent._button1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Private Button2 As Button";
mostCurrent._button2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Private Button3 As Button";
mostCurrent._button3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 22;BA.debugLine="End Sub";
return "";
}
public static int  _instr(String _text,String _caracter) throws Exception{
 //BA.debugLineNum = 262;BA.debugLine="Sub Instr(Text As String, Caracter As String) As I";
 //BA.debugLineNum = 263;BA.debugLine="Return Text.IndexOf(Caracter)";
if (true) return _text.indexOf(_caracter);
 //BA.debugLineNum = 264;BA.debugLine="End Sub";
return 0;
}
public static String  _lcase(String _text) throws Exception{
 //BA.debugLineNum = 254;BA.debugLine="Sub Lcase(Text As String) As String";
 //BA.debugLineNum = 255;BA.debugLine="Return Text.ToLowerCase";
if (true) return _text.toLowerCase();
 //BA.debugLineNum = 256;BA.debugLine="End Sub";
return "";
}
public static String  _left(String _text,int _length) throws Exception{
 //BA.debugLineNum = 228;BA.debugLine="Sub Left(Text As String, Length As Int)As String";
 //BA.debugLineNum = 229;BA.debugLine="If Length>Text.Length Then Length=Text.Length";
if (_length>_text.length()) { 
_length = _text.length();};
 //BA.debugLineNum = 230;BA.debugLine="Return Text.SubString2(0, Length)";
if (true) return _text.substring((int) (0),_length);
 //BA.debugLineNum = 231;BA.debugLine="End Sub";
return "";
}
public static int  _len(String _text) throws Exception{
 //BA.debugLineNum = 246;BA.debugLine="Sub Len(Text As String) As Int";
 //BA.debugLineNum = 247;BA.debugLine="Return Text.Length";
if (true) return _text.length();
 //BA.debugLineNum = 248;BA.debugLine="End Sub";
return 0;
}
public static String  _listview1_itemlongclick(int _position,Object _value) throws Exception{
String _riga = "";
String[] _ar = null;
String _stnumber = "";
String _number = "";
boolean _trovato = false;
int _i = 0;
 //BA.debugLineNum = 143;BA.debugLine="Sub ListView1_ItemLongClick (Position As Int, Valu";
 //BA.debugLineNum = 144;BA.debugLine="Dim riga As String";
_riga = "";
 //BA.debugLineNum = 145;BA.debugLine="Dim ar() As String";
_ar = new String[(int) (0)];
java.util.Arrays.fill(_ar,"");
 //BA.debugLineNum = 146;BA.debugLine="Dim stnumber As String";
_stnumber = "";
 //BA.debugLineNum = 147;BA.debugLine="Dim number As String";
_number = "";
 //BA.debugLineNum = 148;BA.debugLine="Dim trovato As Boolean";
_trovato = false;
 //BA.debugLineNum = 149;BA.debugLine="If Position = -1 Then Return";
if (_position==-1) { 
if (true) return "";};
 //BA.debugLineNum = 151;BA.debugLine="riga = ListView1.GetItem(Position)";
_riga = BA.ObjectToString(mostCurrent._listview1.GetItem(_position));
 //BA.debugLineNum = 153;BA.debugLine="ar = Split(riga, \",\")";
_ar = _split(_riga,",");
 //BA.debugLineNum = 154;BA.debugLine="stnumber = ar(0)";
_stnumber = _ar[(int) (0)];
 //BA.debugLineNum = 155;BA.debugLine="number = Replace(stnumber, \"Number=\", \"\")";
_number = _replace(_stnumber,"Number=","");
 //BA.debugLineNum = 156;BA.debugLine="number = Replace(number, \" \", \"\")";
_number = _replace(_number," ","");
 //BA.debugLineNum = 157;BA.debugLine="number = Replace(number, \",\", \"\")";
_number = _replace(_number,",","");
 //BA.debugLineNum = 159;BA.debugLine="trovato = False";
_trovato = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 160;BA.debugLine="If ListView2.Size > 0 Then";
if (mostCurrent._listview2.getSize()>0) { 
 //BA.debugLineNum = 161;BA.debugLine="For i = 0 To ListView2.Size - 1";
{
final int step15 = 1;
final int limit15 = (int) (mostCurrent._listview2.getSize()-1);
_i = (int) (0) ;
for (;(step15 > 0 && _i <= limit15) || (step15 < 0 && _i >= limit15) ;_i = ((int)(0 + _i + step15))  ) {
 //BA.debugLineNum = 162;BA.debugLine="If number = ListView2.GetItem(i) Then";
if ((_number).equals(BA.ObjectToString(mostCurrent._listview2.GetItem(_i)))) { 
 //BA.debugLineNum = 163;BA.debugLine="trovato = True";
_trovato = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 164;BA.debugLine="Exit";
if (true) break;
 };
 }
};
 }else {
 //BA.debugLineNum = 169;BA.debugLine="trovato = False";
_trovato = anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 172;BA.debugLine="If trovato = False Then";
if (_trovato==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 173;BA.debugLine="ListView2.AddSingleLine(number)";
mostCurrent._listview2.AddSingleLine(BA.ObjectToCharSequence(_number));
 }else {
 //BA.debugLineNum = 176;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 179;BA.debugLine="End Sub";
return "";
}
public static String  _listview2_itemlongclick(int _position,Object _value) throws Exception{
 //BA.debugLineNum = 319;BA.debugLine="Sub ListView2_ItemLongClick (Position As Int, Valu";
 //BA.debugLineNum = 320;BA.debugLine="If Position < 0 Then Return";
if (_position<0) { 
if (true) return "";};
 //BA.debugLineNum = 321;BA.debugLine="ListView2.RemoveAt(Position)";
mostCurrent._listview2.RemoveAt(_position);
 //BA.debugLineNum = 323;BA.debugLine="End Sub";
return "";
}
public static String  _mid(String _text,int _start,int _length) throws Exception{
 //BA.debugLineNum = 238;BA.debugLine="Sub Mid(Text As String, Start As Int, Length As In";
 //BA.debugLineNum = 239;BA.debugLine="Return Text.SubString2(Start-1,Start+Length-1)";
if (true) return _text.substring((int) (_start-1),(int) (_start+_length-1));
 //BA.debugLineNum = 240;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 9;BA.debugLine="Dim cu As ContactsUtils";
_cu = new b4a.callblocker.contactsutils();
 //BA.debugLineNum = 10;BA.debugLine="Dim pws As PhoneWakeState";
_pws = new anywheresoftware.b4a.phone.Phone.PhoneWakeState();
 //BA.debugLineNum = 11;BA.debugLine="End Sub";
return "";
}
public static String  _replace(String _text,String _str1,String _str2) throws Exception{
 //BA.debugLineNum = 250;BA.debugLine="Sub Replace(Text As String, Str1 As String, Str2 A";
 //BA.debugLineNum = 251;BA.debugLine="Return Text.Replace(Str1, Str2)";
if (true) return _text.replace(_str1,_str2);
 //BA.debugLineNum = 252;BA.debugLine="End Sub";
return "";
}
public static String  _right(String _text,int _length) throws Exception{
 //BA.debugLineNum = 233;BA.debugLine="Sub Right(Text As String, Length As Int) As String";
 //BA.debugLineNum = 234;BA.debugLine="If Length>Text.Length Then Length=Text.Length";
if (_length>_text.length()) { 
_length = _text.length();};
 //BA.debugLineNum = 235;BA.debugLine="Return Text.SubString(Text.Length-Length)";
if (true) return _text.substring((int) (_text.length()-_length));
 //BA.debugLineNum = 236;BA.debugLine="End Sub";
return "";
}
public static String[]  _split(String _text,String _delimiter) throws Exception{
 //BA.debugLineNum = 242;BA.debugLine="Sub Split(Text As String, Delimiter As String) As";
 //BA.debugLineNum = 243;BA.debugLine="Return Regex.Split(Delimiter,Text)";
if (true) return anywheresoftware.b4a.keywords.Common.Regex.Split(_delimiter,_text);
 //BA.debugLineNum = 244;BA.debugLine="End Sub";
return null;
}
public static String  _ucase(String _text) throws Exception{
 //BA.debugLineNum = 258;BA.debugLine="Sub Ucase(Text As String) As String";
 //BA.debugLineNum = 259;BA.debugLine="Return Text.ToUpperCase";
if (true) return _text.toUpperCase();
 //BA.debugLineNum = 260;BA.debugLine="End Sub";
return "";
}
}
