﻿Type=Activity
Version=7.01
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim cu As ContactsUtils
	Dim pws As PhoneWakeState
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private ListView1 As ListView
	Private ListView2 As ListView
	Private Button1 As Button
	Private Button2 As Button
	Private Button3 As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	Activity.LoadLayout("frmcallslog") 
	Activity.Title = "Call Blocker"
	pws.PartialLock		
	cu.Initialize
	
	ListView1.Initialize("ListView1")	
	ListView2.Initialize("ListView2")	
	Activity.AddView(ListView1, 10, 10, 100%x, 45%y)		
	Activity.AddView(ListView2, 10, ListView1.Height + 100, 100%x, 45%y)		
	
	ListView1.SingleLineLayout.Label.TextSize = 10dip
   	ListView1.FastScrollEnabled = True
   	ListView1.SingleLineLayout.ItemHeight = 60dip
   	ListView1.SingleLineLayout.Label.TextColor = Colors.White

	ListView2.SingleLineLayout.Label.TextSize = 12dip
   	ListView2.FastScrollEnabled = True
   	ListView2.SingleLineLayout.ItemHeight = 60dip
   	ListView2.SingleLineLayout.Label.TextColor = Colors.White
	Button3.Left = 10

	Button1.Left = (Activity.Width - 10) - Button1.Width
	Button2.Left = (Activity.Width / 2) - (Button2.Width / 2)  
	
	
	carica
	ListView2.Clear
	
	
	
End Sub

Sub Activity_Resume

End Sub

Sub FindContact(NumeroTelefono As String) As String
	Dim Contacts1 As Contacts
	Dim myContact As Contact
	Dim listOfContacts As List
	Dim i,j As Int
	Dim map1 As Map
	Dim num As String

	listOfContacts = Contacts1.GetAll


	For i = 0 To listOfContacts.Size - 1
		myContact = listOfContacts.Get(i)
		map1 = myContact.GetPhones
		For j = 0 To map1.Size - 1
			num = map1.GetKeyAt(j)
			num = Replace(num, " ","")
			If Instr(num, NumeroTelefono) <> - 1 Then
				Return myContact.DisplayName
			End If
			Dormi(2)
		Next
		Dormi(2)
	Next
	Return Null
End Sub


Sub Activity_Pause (UserClosed As Boolean)

End Sub
Sub carica
Dim Calls As List
Dim CallLog As CallLog
Dim c As CallItem
Dim callType, name As String
Dim cont As cuContact
Dim lst As List 


ListView1.Clear 
Dormi(50)
Calls.Initialize 
Calls.Clear 
Calls = CallLog.GetAll(0) 

For i = 0 To Calls.Size - 1 
 	c = Calls.Get(i)
 	
 	Select c.callType
	 	Case c.TYPE_INCOMING
 			callType="Incoming"
 		Case c.TYPE_MISSED
 			callType = "Missed"
 		Case c.TYPE_OUTGOING
 			callType = "Outgoing"
 	End Select
 	
	name = c.CachedName	
	If name = "" Or name = Null Then 
		lst = cu.FindContactsByPhone(c.Number, False, True) 
		If lst.IsInitialized = True And lst.Size > 0 Then 
			cont  = lst.Get(0) 
			If cont.IsInitialized = True Then
				name = cont.DisplayName
			Else 
				name = Null
			End If
		Else
			name = Null
		End If
	End If
	If name = Null Then name = "N/A"
	If name = "" Then name = "N/A" 
	If name = "null" Then name = "N/A"
 	ListView1.AddSingleLine("Number=" & c.Number & ", Name=" & name & ", Type=" & callType & ", Date=" & DateTime.Date(c.Date)) 
Next  

End Sub

Sub ListView1_ItemLongClick (Position As Int, Value As Object)
Dim riga As String 
Dim ar() As String 
Dim stnumber As String 
Dim number As String 
Dim trovato As Boolean 
	If Position = -1 Then Return 
	
	riga = ListView1.GetItem(Position) 
	
	ar = Split(riga, ",")
	stnumber = ar(0)
	number = Replace(stnumber, "Number=", "")
	number = Replace(number, " ", "")
	number = Replace(number, ",", "")
	
	trovato = False 
	If ListView2.Size > 0 Then 
		For i = 0 To ListView2.Size - 1 
			If number = ListView2.GetItem(i) Then
				trovato = True 
				Exit
			End If
		
		Next
	Else
		trovato = False 	
	End If
	
	If trovato = False Then 
		ListView2.AddSingleLine(number)
		
	Else
		Return 
	End If
	
End Sub

Sub Esiste(numero As String) As Int 
Dim tr As TextReader
Dim lista As List
Dim i As Int 
If File.Exists(File.DirRootExternal, "banned.txt") = False Then
	Return -2
End If
tr.Initialize(File.OpenInput(File.DirRootExternal, "banned.txt"))
lista = tr.ReadList
If lista.IsInitialized = True Then 
For i = 0 To lista.Size - 1
	If lista.Get(i) = numero Then
		tr.Close
		lista.Clear 
		Return 1 
	End If
Next 
Return 0 
Else
	tr.Close 
	lista.Clear 
	Return -1
End If
End Sub

Sub CaricaBlackList() As List
Dim tr As TextReader
Dim lista As List
If File.Exists(File.DirRootExternal, "banned.txt") = False Then
	Return Null
End If
tr.Initialize(File.OpenInput(File.DirRootExternal, "banned.txt"))
lista = tr.ReadList
tr.Close 
Return lista

End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean 'Return True to consume the event
If KeyCode = KeyCodes.KEYCODE_BACK Then	
	pws.ReleasePartialLock
	Activity.Finish
	Return False	
End If
Return True 
End Sub

Sub Left(Text As String, Length As Int)As String
   If Length>Text.Length Then Length=Text.Length
   Return Text.SubString2(0, Length)
End Sub

Sub Right(Text As String, Length As Int) As String
   If Length>Text.Length Then Length=Text.Length
   Return Text.SubString(Text.Length-Length)
End Sub

Sub Mid(Text As String, Start As Int, Length As Int) As String
   Return Text.SubString2(Start-1,Start+Length-1)
End Sub

Sub Split(Text As String, Delimiter As String) As String()
   Return Regex.Split(Delimiter,Text)
End Sub

Sub Len(Text As String) As Int
    Return Text.Length
End Sub

Sub Replace(Text As String, Str1 As String, Str2 As String) As String
    Return Text.Replace(Str1, Str2)
End Sub

Sub Lcase(Text As String) As String
    Return Text.ToLowerCase
End Sub

Sub Ucase(Text As String) As String
    Return Text.ToUpperCase
End Sub

Sub Instr(Text As String, Caracter As String) As Int
    Return Text.IndexOf(Caracter)	
End Sub
Sub Button1_Click
Dim i As Int
Dim number As String 
Dim retval As Int 
Dim lista As List 
Dim tw As TextWriter
Dim filedamodificare As Boolean 

	If ListView2.Size = 0 Then Return 	
	lista.Initialize
	lista = CaricaBlackList		
	If lista.Size = 0 Then Return 	
	filedamodificare = False 
	
	For i = 0 To ListView2.Size - 1
		number = ListView2.GetItem(i)
		retval = Esiste(number)
		If retval = 0 Then
			lista.Add(number) 		
			filedamodificare = True 
		End If
	Next
	
	If lista.IsInitialized = True And lista.Size > 0 Then 
		If filedamodificare = True Then 
			tw.Initialize(File.OpenOutput(File.DirRootExternal, "banned.txt", False))
			tw.WriteList(lista)	
			tw.Close		
			StopService(callblocker)
			Dormi(3000)
			StartService(callblocker)
			carica
			ListView2.Clear 
			Return 
		Else
			Return
		End If
	Else
		Return 
	End If
	
End Sub

Sub Dormi(ms As Long)
  Dim now As Long
  If ms > 1000 Then ms =1000 'avoid application not responding error
  now=DateTime.now
  Do Until (DateTime.now>now+ms)
     DoEvents
  Loop
End Sub



Sub ListView2_ItemLongClick (Position As Int, Value As Object)
	If Position < 0 Then Return 	
	ListView2.RemoveAt(Position)
	
End Sub


Sub Button2_Click
	Activity.Finish 
	StartActivity("Main") 
	
End Sub
Sub Button3_Click
	ListView1.Clear
	Dormi(50)
	carica
	ListView2.Clear 
End Sub